#global gitdate 20151027
# temporary build fix:
%define _python_bytecompile_build 0

%bcond_with debug
%define enable_builddocs	0

# Need this for shared objects that reference X Server, or other modules symbols
%define _disable_ld_no_undefined 1

# Alternatives priority for standard libglx.so and mesa libs
%define priority 500

%define rel 1

%global __provides_exclude_from %{_datadir}/%{name}-source
%global __requires_exclude_from %{_datadir}/%{name}-source

# Released ABI versions.  Have to keep these manually in sync with the
# source because rpm is a terrible language.
%global ansic_major 0
%global ansic_minor 4
%global videodrv_major 25
%global videodrv_minor 2
%global xinput_major 24
%global xinput_minor 4
%global extension_major 10
%global extension_minor 0

%global pkgname xorg-server

Name: x11-server
Version: 21.1.18
Release:   %mkrel %{rel}%{?gitdate:.%{gitdate}}
Summary:  X11 servers
Group: System/X11
URL: https://xorg.freedesktop.org
%if 0%{?gitdate}
Source0:   xorg-server-%{gitdate}.tar.xz
%else
Source0:   https://www.x.org/pub/individual/xserver/%{pkgname}-%{version}.tar.xz
Source1:   gitignore
%endif
Source4:   10-quirks.conf
Source5: mageia-setup-keyboard-udev
Source6: 61-x11-input.rules
Source10: xserver.pamd
# from RH/FC:
# "useful" xvfb-run script
Source20:  https://svn.exactcode.de/t2/trunk/package/xorg/xorg-server/xvfb-run.sh
Source21:  https://svn.exactcode.de/t2/trunk/package/xorg/xorg-server/xvfb-run.1
# for requires generation in drivers
Source30:  xserver-sdk-abi-requires.release
# for finding & loading nvidia and flgrx drivers:
Source90: 00-modules.conf
License: GPLv2+ and MIT

# Instructions to setup your repository clone
# git://anongit.freedesktop.org/git/xorg/xserver
# git checkout origin/server-1.7-branch
# git checkout -b mdv-1.7-cherry-picks
# git am ../03??-*.patch
# git checkout -b mdv-1.7-redhat
# git am ../04??-*.patch
# git checkout -b mdv-1.7-patches
# git am ../09??-*.patch

# Sync with server-1.21-branch
# git format-patch --start-number 100 xorg-server-1.21.1..server-1.21-branch

# xorg server master branch from 200
Patch200:	0200-xf86-Accept-devices-with-the-hyperv_drm-driver.patch

# Fedora Patches

# XXX needs rebase, but also va_gl should probably just be the default
# Patch3: 0001-xf86-dri2-Use-va_gl-as-vdpau_driver-for-Intel-i965-G.patch

# because the display-managers are not ready yet, do not upstream
Patch6: 0001-Fedora-hack-Make-the-suid-root-wrapper-always-start-.patch

# Backports from current stable "server-1.20-branch":
# <empty>

# Backports from "master" upstream:
# <empty>

# Mageia patches
# git format-patch --start-number 900 mdv-1.6.4-redhat..mdv-1.6.4-patches
Patch900: 0900-Use-a-X-wrapper-that-uses-pam-and-consolehelper-to-g.patch
Patch901: 0901-Don-t-print-information-about-X-Server-being-a-pre-r.patch
Patch902: 0902-Take-width-into-account-when-choosing-default-mode.patch
Patch903: 0903-LED-behavior-fixes.patch
Patch906: 0906-xfree86-need-to-press-Ctrl-Alt-Bksp-twice-to-termina.patch
# force modesetting for AlderLake-P and AlderLake-P with Xe-graphics (bug #31654)
Patch950: 0001-Force-modesetting-for-AlderLake-P-and-RaptorLake-P-w.patch
# force modesetting for RaptorLake-P with UHD graphics (bug #31654)
Patch951: 0001-Force-modesetting-for-RaptorLake-P-with-UHD-graphics.patch
# force modesetting for AlderLake-N with UHD graphics (bug #31654)
Patch952: 0001-Force-modesetting-for-more-AlderLake-N-with-UHD-grap.patch
# force modesetting for RocketLake-S with UHD graphics (bug #31654)
Patch953: 0001-Force-modesetting-for-RocketLake-S-with-UHD-graphics.patch
# force modesetting for ElkhartLake, JasperLake and TigerLake with UHD and Xe graphics (bug #31654)
Patch954: 0001-Force-modesetting-for-ElkhartLake-JasperLake-TigerLa.patch
# Fix modesetting driver linking
Patch955: 0001-Fix-modesetting_drv.so-linking.patch

# Candidates for dropping:
# 902: by pixel, so that X11 choose the best resolution with a better algorithm
# 903: Input subsystem has changed *a lot* since this patch was written... I
#      fear it might break things now
# 906: All this patch does is force users to hit ctrl+alt+bksp twice (with
#      an annoying sound) IF the hotkey is enabled. If the user chooses to
#      enable ctrk+alt+bksp, why force him to hit twice? OTOH, the sound is
#      annoying, and it should teach users to not use ctrl+alt+bksp =D

# Do not crash if Xv is not initialized (patch from xorg-devel ML)
# The crash happened when v4l was loaded and xv was not registered,
# for example on RV610 with radeon driver
Patch4001: 1001-do-not-crash-if-xv-not-initialized.patch

# (cg) Point the user at the journal rather than a logfile at /dev/null
Patch5001: point-user-at-journal-rather-than-dev-null.patch

# from Suse
Patch5009: N_Disable-HW-Cursor-for-cirrus-and-mgag200-kernel-modules.patch
Patch5011: n_raise_default_clients.patch

# Security fixes

Requires: %{name}-xorg
Requires: %{name}-xnest
Requires: %{name}-xvfb

# This should be removed when any of the vnc packages provide x11-server-xvnc:
Obsoletes: %{name}-xvnc < %{version}-%{release}

Obsoletes: %{name}-xfake < %{version}-%{release}

# temp force new gcc
BuildRequires:	gcc >= 12.0.1-0.20220227.2
BuildRequires:	binutils >= 1:2.38-4
# temp force new glibc
BuildRequires: glibc >= 6:2.33-2
# nsl bits gone in glibc 2.32, add separate libnsl dep
BuildRequires: pkgconfig(libnsl)
# rpc bits gone in glibc 2.32, add separate libtirpc dep
BuildRequires: pkgconfig(libtirpc)

BuildRequires: systemtap-sdt-devel
BuildRequires: git-core
BuildRequires: libpam-devel
BuildRequires: pkgconfig(egl)
BuildRequires: pkgconfig(fontutil) >= 1.1
BuildRequires: pkgconfig(gbm)
BuildRequires: pkgconfig(dri)
BuildRequires: pkgconfig(gl)
BuildRequires: pkgconfig(libxcvt)
BuildRequires: pkgconfig(libudev)
BuildRequires: pkgconfig(pciaccess)
BuildRequires: pkgconfig(pixman-1) >= 0.9.5
BuildRequires: pkgconfig(libsystemd)
BuildRequires: pkgconfig(xau) >= 1.0.0
BuildRequires: pkgconfig(xaw7) >= 1.0.1
BuildRequires: pkgconfig(xdmcp) >= 1.0.0
BuildRequires: pkgconfig(xext) >= 1.1
BuildRequires: pkgconfig(xfixes)
BuildRequires: pkgconfig(xfont2)
BuildRequires: pkgconfig(xi) >= 1.1.3
BuildRequires: pkgconfig(xkbfile) >= 1.0.4
BuildRequires: pkgconfig(xmu) >= 1.0.0
BuildRequires: pkgconfig(xorg-macros) >= 1.10
BuildRequires: pkgconfig(xpm) >= 3.5.4.2
BuildRequires: pkgconfig(xrender) >= 0.9.4
BuildRequires: pkgconfig(xres) >= 1.0.0
BuildRequires: pkgconfig(xtrans) >= 1.3.5
BuildRequires: pkgconfig(xv)
BuildRequires: x11-proto-devel >= 7.7-11

# for ./hw/xwin/glx/gen_gl_wrappers.py:
%define _python_bytecompile_errors_terminate_build 0

# Probably only needed if we change .l or .y files, but let's have them anyway:
BuildRequires: byacc
BuildRequires: flex

# for xkbcomp patch
BuildRequires: pkgconfig(libcrypto)


BuildRequires: pkgconfig(dbus-1)

BuildRequires: pkgconfig(xtst) >= 1.1

BuildRequires: pkgconfig(epoxy)
BuildRequires: pkgconfig(xshmfence) >= 1.1

BuildRequires: pkgconfig(libunwind)

BuildRequires: pkgconfig(xcb-aux) pkgconfig(xcb-image) pkgconfig(xcb-icccm)
BuildRequires: pkgconfig(xcb-keysyms) pkgconfig(xcb-renderutil)

%if %{enable_builddocs}
BuildRequires: doxygen
BuildRequires: fop
BuildRequires: xmlto
BuildRequires: pkgconfig(xorg-sgml-doctools)
%endif

%description
X.Org X11 X server.


%package common
Summary: Xorg server common files
Group: System/X11
License: MIT
Provides: XFree86 = 7.0.0
Requires: rgb
# for 'fixed' and 'cursor' fonts
Requires: x11-font-misc-misc
Requires: x11-font-cursor-misc
Requires: x11-font-alias
Requires: x11-data-xkbdata
Requires: xkbcomp
Requires: udev
# else modesetting fails on minimal install:
Requires: %{mklibname mesaegl 1}
Requires(post): update-alternatives
Requires(postun): update-alternatives
# nvidia-71xx does not support X.org server >= 1.5
Conflicts: x11-driver-video-nvidia71xx < 71.86.09-2
# old fglrx does not support X.org server >= 1.7
Conflicts: x11-driver-video-fglrx < 8.720
# Fix: missing conflicts to allow upgrade from 2008.0 to cooker
# https://qa.mandriva.com/show_bug.cgi?id=36651
Conflicts: x11-driver-video-nvidia-current <= 100.14.19


Provides: xserver-abi(ansic-%{ansic_major}) = %{ansic_minor}
Provides: xserver-abi(videodrv-%{videodrv_major}) = %{videodrv_minor}
Provides: xserver-abi(xinput-%{xinput_major}) = %{xinput_minor}
Provides: xserver-abi(extension-%{extension_major}) = %{extension_minor}
# For proprietary drivers that can support multiple videodrv versions:
Provides: xserver-abi(videodrv) = %{videodrv_major}.%{videodrv_minor}

%description common
X server common files.

%package xorg
Summary: Xorg X server
Group: System/X11
License: MIT
Requires: x11-server-common = %{version}-%{release}
Requires: x11-data-xkbdata > 1.3-5
Requires: x11-font-alias
Requires: libx11-common
Requires: x11-driver-input-libinput

%rename glamor
%rename x11-driver-video-modesetting

%description xorg
X.org X11 is an open source implementation of the X Window System.  It
provides the basic low level functionality which full fledged
graphical user interfaces (GUIs) such as GNOME and KDE are designed
upon.


%package xnest
Summary: A nested server
Group: System/X11
License: MIT
Requires: x11-server-common = %{version}-%{release}

%description xnest
Xnest is an X server which has been implemented as an ordinary
X application.  It runs in a window just like other X applications,
but it is an X server itself in which you can run other software.  It
is a very useful tool for developers who wish to test their
applications without running them on their real X server.


%package xvfb
Summary: A X Windows System virtual framebuffer X server
Group: System/X11
# xvfb-run is GPLv2, rest is MIT
License: MIT and GPLv2
Requires: x11-server-common = %{version}-%{release}
Requires: xauth


%description xvfb
Xvfb (X Virtual Frame Buffer) is an X server that is able to run on
machines with no display hardware and no physical input devices.
Xvfb simulates a dumb framebuffer using virtual memory.  Xvfb does
not open any devices, but behaves otherwise as an X display.  Xvfb
is normally used for testing servers.


%package xephyr
Summary: A nested server
Group: System/X11
License: MIT
Requires: x11-server-common = %{version}-%{release}

%description xephyr
Xephyr is an X server which has been implemented as an ordinary
X application.  It runs in a window just like other X applications,
but it is an X server itself in which you can run other software.  It
is a very useful tool for developers who wish to test their
applications without running them on their real X server.  Unlike
Xnest, Xephyr renders to an X image rather than relaying the
X protocol, and therefore supports the newer X extensions like
Render and Composite.


%package devel
Summary: SDK for X server driver module development
Group: Development/X11
License: MIT

%define oldxorgnamedevel  %mklibname xorg-x11
Requires: libpixman-1-devel
Requires: libpciaccess-devel
Requires: libxkbfile-devel
Requires: libxext-devel >= 1.1
Requires: pkgconfig(xfont2)
# pkgconfig file needs dri.pc:
Requires: GL-devel

%description devel
The SDK package provides the developmental files which are necessary for
developing X server driver modules, and for compiling driver modules
outside of the standard X11 source code tree.  Developers writing video
drivers, input drivers, or other X modules should install this package.


%package source
Summary: Xserver source code required to build VNC server (Xvnc)
Group: Development/X11
License: MIT
BuildArch: noarch

%description source
Xserver source code needed to build VNC server (Xvnc).


%prep
%autosetup -N -n %{pkgname}-%{?gitdate:%{gitdate}}%{!?gitdate:%{version}}
rm -rf .git
cp %{SOURCE1} .gitignore
# ick
%global __scm git
%{expand:%__scm_setup_git -q}
%autopatch

# check the ABI in the source against what we expect.
getmajor() {
   grep -i ^#define.ABI.$1_VERSION hw/xfree86/common/xf86Module.h |
   tr '(),' '   ' | awk '{ print $4 }'
}

getminor() {
   grep -i ^#define.ABI.$1_VERSION hw/xfree86/common/xf86Module.h |
   tr '(),' '   ' | awk '{ print $5 }'
}

test `getmajor ansic` == %{ansic_major}
test `getminor ansic` == %{ansic_minor}
test `getmajor videodrv` == %{videodrv_major}
test `getminor videodrv` == %{videodrv_minor}
test `getmajor xinput` == %{xinput_major}
test `getminor xinput` == %{xinput_minor}
test `getmajor extension` == %{extension_major}
test `getminor extension` == %{extension_minor}


%build

%ifnarch %{ix86} x86_64
%global no_int10 --disable-vbe --disable-int10-module
%endif
%global kdrive --enable-kdrive --enable-xephyr
%global xservers --enable-xvfb --enable-xnest %{kdrive} --enable-xorg
%global default_font_path "catalogue:/etc/X11/fontpath.d,built-ins"
%global dri_flags --enable-dri2 --enable-dri3 --enable-suid-wrapper --enable-glamor
%global bodhi_flags --with-vendor-name="%_vendor"

%if %with debug
CFLAGS='-DBUILDDEBUG -O0 -g3' \
%endif
autoreconf -f -v --install || exit 1
%configure %{xservers} \
		--with-log-dir=%{_logdir} \
		--enable-dependency-tracking \
		%{?no_int10} --with-int10=x86emu \
		--with-default-font-path=%{default_font_path} \
		--with-module-dir=%{_libdir}/xorg/modules \
		--with-vendor-web="https://bugs.mageia.org" \
		%if %{with debug}
		--enable-debug \
		%else
		--disable-debug \
		%endif
		--with-builderstring="Build ID: %{name} %{version}-%{release}" \
		--without-dtrace \
		--disable-xselinux --enable-record --enable-present \
		--enable-xcsecurity \
		--enable-config-udev \
		--disable-strict-compilation \
		--enable-dpms \
		--disable-install-setuid \
		--enable-pam \
		%{dri_flags} %{?bodhi_flags} \
		--with-sha1=libcrypto \

pushd include && make xorg-server.h dix-config.h xorg-config.h && popd
%make_build

%install
%make_install

mkdir -p $RPM_BUILD_ROOT%{_libdir}/xorg/modules/{drivers,input}

mkdir -p %{buildroot}%{_sysconfdir}/X11/
ln -s %{_bindir}/Xorg %{buildroot}%{_sysconfdir}/X11/X
ln -sf %{_libexecdir}/Xorg.wrap %{buildroot}%{_bindir}/X

mkdir -p %{buildroot}%{_sysconfdir}/pam.d
install -m 644 %{SOURCE10} $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/xserver
mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps
touch %{buildroot}%{_sysconfdir}/security/console.apps/xserver

mkdir -p $RPM_BUILD_ROOT%{_datadir}/X11/xorg.conf.d
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT%{_datadir}/X11/xorg.conf.d

# make sure the (empty) /etc/X11/xorg.conf.d is there, system-setup-keyboard
# relies on it more or less.
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/xorg.conf.d
 
mkdir -p %{buildroot}%{_sysconfdir}/X11/app-defaults
mkdir -p %{buildroot}%{_sysconfdir}/X11/fontpath.d

# move README.compiled outside compiled/ dir, so there won't be any problem with x11-data-xkbdata
mv -f %{buildroot}%{_datadir}/X11/xkb/compiled/README.compiled %{buildroot}%{_datadir}/X11/xkb/

# (anssi) manage proprietary drivers
install -d -m755 %{buildroot}%{_sysconfdir}/ld.so.conf.d/GL
cat > %{buildroot}%{_sysconfdir}/ld.so.conf.d/GL/standard.conf << EOF
# This file is knowingly empty since the libraries are in standard search
# path. Please do not remove this file.
EOF
touch %{buildroot}%{_sysconfdir}/ld.so.conf.d/GL.conf

mkdir -p %{buildroot}/sbin
mkdir -p %{buildroot}/lib/udev/rules.d/
install -m 0755 %{SOURCE5} %{buildroot}/sbin/mageia-setup-keyboard
install -m 0644 %{SOURCE6} %{buildroot}/lib/udev/rules.d

install -m 755 %{SOURCE30} $RPM_BUILD_ROOT%{_bindir}/xserver-sdk-abi-requires

install -m 0755 %{SOURCE20} $RPM_BUILD_ROOT%{_bindir}/xvfb-run

# Make the source package
%global xserver_source_dir %{_datadir}/x11-server-source
%global inst_srcdir %{buildroot}/%{xserver_source_dir}
mkdir -p %{inst_srcdir}/{Xext,xkb,GL,hw/{xquartz/bundle,xfree86/common}}
mkdir -p %{inst_srcdir}/{man,doc}
cp {,%{inst_srcdir}/}hw/xquartz/bundle/cpprules.in
cp {,%{inst_srcdir}/}man/Xserver.man
cp {,%{inst_srcdir}/}doc/smartsched
cp {,%{inst_srcdir}/}xserver.ent.in
cp {,%{inst_srcdir}/}hw/xfree86/Xorg.sh.in
cp xkb/README.compiled %{inst_srcdir}/xkb
cp hw/xfree86/xorgconf.cpp %{inst_srcdir}/hw/xfree86

install -m 0755 %{SOURCE21} $RPM_BUILD_ROOT%{_mandir}/man1/xvfb-run.1
install -m 0644 %{SOURCE90} $RPM_BUILD_ROOT/usr/share/X11/xorg.conf.d/

find . -type f | egrep '.*\.(c|h|am|ac|inc|m4|h.in|pc.in|man.pre|pl|txt)$' |
xargs tar cf - | (cd %{inst_srcdir} && tar xf -)
find %{inst_srcdir}/hw/xfree86 -name \*.c -delete

# Remove unwanted files/dirs
{
    find $RPM_BUILD_ROOT -type f -name '*.la' | xargs rm -f -- || :
# wtf
%ifnarch %{ix86} x86_64
    rm -f $RPM_BUILD_ROOT%{_libdir}/xorg/modules/lib{int10,vbe}.so
%endif
}
 
%post common
%{_sbindir}/update-alternatives \
	--install %{_sysconfdir}/ld.so.conf.d/GL.conf gl_conf %{_sysconfdir}/ld.so.conf.d/GL/standard.conf %{priority}

# (anssi)
%triggerun common -- %{name}-common < 1.3.0.0-17
[ $1 -eq 2 ] || exit 0 # do not run if downgrading
current_glconf="$(readlink -e %{_sysconfdir}/ld.so.conf.d/GL.conf)"
if [ "${current_glconf#*mesa}" == "gl1.conf" ]; then
	# This an upgrade of a system with no proprietary drivers enabled, update
	# the link to point to the new standard.conf instead of libmesagl1.conf (2008.0 change).
	%{_sbindir}/update-alternatives --set gl_conf %{_sysconfdir}/ld.so.conf.d/GL/standard.conf
else
	# XFdrake did not set symlink to manual mode before 2008.0, so we ensure it here.
	%{_sbindir}/update-alternatives --set gl_conf "${current_glconf}"
fi
true

%postun common
if [ ! -f %{_sysconfdir}/ld.so.conf.d/GL/standard.conf ]; then
	/usr/sbin/update-alternatives --remove gl_conf %{_sysconfdir}/ld.so.conf.d/GL/standard.conf
fi

%files

%files common
%dir %{_libdir}/xorg/modules
%dir %{_sysconfdir}/X11
%dir %{_sysconfdir}/X11/app-defaults
%dir %{_sysconfdir}/X11/fontpath.d
%dir %{_sysconfdir}/ld.so.conf.d/GL
%dir %{_sysconfdir}/X11/xorg.conf.d
%ghost %{_sysconfdir}/ld.so.conf.d/GL.conf
%{_sysconfdir}/ld.so.conf.d/GL/standard.conf
%{_bindir}/gtf
/sbin/mageia-setup-keyboard
/lib/udev/rules.d/61-x11-input.rules
%{_libdir}/xorg/modules/*
%{_libdir}/xorg/protocol.txt
%{_datadir}/X11/xkb/README.compiled
%{_mandir}/man1/gtf.*
%{_mandir}/man4/*

%global Xorgperms %attr(4755, root, root)

%files xorg
%{_bindir}/X
%{_bindir}/Xorg
%{_libexecdir}/Xorg
%{Xorgperms} %{_libexecdir}/Xorg.wrap
%attr(4755,root,root)%{_bindir}/Xwrapper
%{_sysconfdir}/X11/X
%{_sysconfdir}/pam.d/xserver
%{_sysconfdir}/security/console.apps/xserver
%{_mandir}/man1/Xorg.1*
%{_mandir}/man1/Xorg.wrap.1*
%{_mandir}/man1/Xserver.1*
%{_mandir}/man5/Xwrapper.config.5*
%{_mandir}/man5/xorg.conf.5*
%{_mandir}/man5/xorg.conf.d.5*
%{_datadir}/X11/xorg.conf.d/00-modules.conf
%{_datadir}/X11/xorg.conf.d/10-quirks.conf

%files xnest
%{_bindir}/Xnest
%{_mandir}/man1/Xnest.1*

%files xvfb
%{_bindir}/Xvfb
%{_bindir}/xvfb-run
%{_mandir}/man1/Xvfb.1*
%{_mandir}/man1/xvfb-run.1*

%files xephyr
%{_bindir}/Xephyr
%{_mandir}/man1/Xephyr.1*

%files devel
%{_bindir}/xserver-sdk-abi-requires
%{_libdir}/pkgconfig/xorg-server.pc
%dir %{_includedir}/xorg
%{_includedir}/xorg/*.h
%{_datadir}/aclocal/xorg-server.m4

%files source
%{xserver_source_dir}


%changelog
* Mon Jun 23 2025 ns80 <ns80> 21.1.18-1.mga10
+ Revision: 2194141
- new version 21.1.18 for CVE-2025-4917[5-9], CVE-2025-49180 (mga#34381)

* Wed Feb 26 2025 ns80 <ns80> 21.1.16-1.mga10
+ Revision: 2152701
- new version 21.1.16 for CVE-2025-2659[4-9] and CVE-2025-2660[01] (mga#34052)

* Wed Dec 04 2024 daviddavid <daviddavid> 21.1.14-3.mga10
+ Revision: 2120900
- xfont 1.x series is no more needed

* Mon Nov 04 2024 ns80 <ns80> 21.1.14-2.mga10
+ Revision: 2112342
- bump rel
- remove no more needed patch 0001-ephyr-Fix-incompatible-pointer-type-build-error
- new version 21.1.14 for CVE-2024-9632 (mga#33710)
- rediff patch 0001-ephyr-Fix-incompatible-pointer-type-build-error

* Tue Sep 24 2024 ns80 <ns80> 21.1.13-4.mga10
+ Revision: 2100789
- bump rel

* Mon Apr 15 2024 ns80 <ns80> 21.1.13-3.mga10
+ Revision: 2057725
- new version 21.1.13 for possible double-free in ProcRenderAddGlyphs() (mga#33101)

* Sun Apr 14 2024 wally <wally> 21.1.12-3.mga10
+ Revision: 2057456
- add patch to fix modesetting driver undefined symbols (mga#33098)

* Sun Apr 14 2024 wally <wally> 21.1.12-2.mga10
+ Revision: 2057376
- properly fix build on 32bit arches with gcc14

* Thu Apr 04 2024 ns80 <ns80> 21.1.12-1.mga10
+ Revision: 2054332
- new version 21.1.12 for CVE-2024-3108[0-3] (mga#33058)

* Tue Jan 30 2024 ns80 <ns80> 21.1.11-1.mga10
+ Revision: 2036245
- new version 21.1.11

* Fri Jan 26 2024 ns80 <ns80> 21.1.8-11.mga10
+ Revision: 2035061
- add uptream patches for CVE-2023-6816, CVE-2024-0229, CVE-2024-2188[56] and CVE-2024-040[89] (mga#32747)

* Mon Jan 08 2024 ns80 <ns80> 21.1.8-10.mga10
+ Revision: 2028919
- add patches from Debian for CVE-2023-6377 and CVE-2023-6478 (mga#32625)

* Fri Nov 03 2023 ns80 <ns80> 21.1.8-9.mga10
+ Revision: 2003811
- do not apply xorg-x11-server-fb-access-wrapper.patch
- add upstream patches for CVE-2023-5367, CVE-2023-5380 and CVE-2023-5574 (mga#32453)
+ tv <tv>
- Backport fix for a deadlock with DRI3 (rhbz#2189434)
- Make more functions available in fb.h with !FB_ACCESS_WRAPPER

* Wed Jun 07 2023 ghibo <ghibo> 21.1.8-7.mga9
+ Revision: 1961288
- Force modesetting also for ElkhartLake, JasperLake and TigerLake (bug #31654)

* Wed Jun 07 2023 ghibo <ghibo> 21.1.8-6.mga9
+ Revision: 1961167
- Add two missed PCI-ids for RocketLake-S in modesetting

* Wed Jun 07 2023 ghibo <ghibo> 21.1.8-5.mga9
+ Revision: 1961162
- Force modesetting for RocketLake-S with UHD-Graphics (bug 31654)

* Mon Jun 05 2023 ghibo <ghibo> 21.1.8-4.mga9
+ Revision: 1961014
- Force modesetting for AlderLake-N with UHD-Graphics (bug #31654)

* Mon Jun 05 2023 ghibo <ghibo> 21.1.8-3.mga9
+ Revision: 1960971
- Force modesetting for RaptorLake-P with UHD-Graphics (bug #31654)

* Thu May 25 2023 ghibo <ghibo> 21.1.8-2.mga9
+ Revision: 1957954
- Force modesetting for AlderLake-P and RaptorLake-P Xe-Graphics (bug #31654)

* Tue Apr 04 2023 ns80 <ns80> 21.1.8-1.mga9
+ Revision: 1951398
- new version 21.1.8 for CVE-2023-1393 (mga#31732)

* Wed Feb 08 2023 ghibo <ghibo> 21.1.7-1.mga9
+ Revision: 1939463
- Update to release 21.1.7.
- Drop patch merged upstream.

* Wed Feb 08 2023 ghibo <ghibo> 21.1.6-2.mga9
+ Revision: 1939451
- Merge patch for CVE-2023-0494 from FC (fix potential use-after-free in DeepCopyPointerClasses).
- Drop unused Patch (Source5010).
- Merge patch from opensuse to raise maximum allowed clients limit, to avoid running out of clients when too many opened browsing tab.

* Mon Dec 19 2022 luigiwalser <luigiwalser> 21.1.6-1.mga9
+ Revision: 1925351
- remove upstream patches 201 and 202
- 21.1.6

* Thu Dec 15 2022 luigiwalser <luigiwalser> 21.1.5-1.mga9
+ Revision: 1922707
- 21.1.5
- remove upstream patches

* Wed Dec 14 2022 tv <tv> 21.1.4-3.mga9
+ Revision: 1922122
- CVE fix for: CVE-2022-46340, CVE-2022-46341, CVE-2022-46342, CVE-2022-46343,
  CVE-2022-46344

* Fri Nov 11 2022 tmb <tmb> 21.1.4-2.mga9
+ Revision: 1905763
- xkb: proof GetCountedString against request length attacks (CVE-2022-3550).
- xkb: fix some possible memleaks in XkbGetKbdByName (CVE-2022-3551).

* Tue Jul 12 2022 tmb <tmb> 21.1.4-1.mga9
+ Revision: 1868562
- update to 21.1.4

* Thu Mar 31 2022 umeabot <umeabot> 21.1.3-8.mga9
+ Revision: 1837407
- Mageia 9 Mass Rebuild

* Thu Mar 31 2022 tmb <tmb> 21.1.3-7.mga9
+ Revision: 1837074
- xf86: Accept devices with the 'hyperv_drm' driver
- present: Check for NULL to prevent crash

* Fri Mar 04 2022 tv <tv> 21.1.3-6.mga9
+ Revision: 1788206
- Fix build with gcc 12
+ tmb <tmb>
- rebuild with gcc 12

* Thu Feb 17 2022 tmb <tmb> 21.1.3-4.mga9
+ Revision: 1779451
- rebuild with glibc 2.35-3

* Sat Feb 12 2022 tmb <tmb> 21.1.3-3.mga9
+ Revision: 1773193
- rebuild with glibc 2.35

* Wed Feb 02 2022 tv <tv> 21.1.3-2.mga9
+ Revision: 1770978
- 21.1.3

* Thu Dec 23 2021 tmb <tmb> 21.1.2-2.mga9
+ Revision: 1763520
- os: Try to discover the current seat with the XDG_SEAT var first
- Convert more funcs to use InternalEvent.
- xf86/logind: Fix compilation error when built without logind/platform bus
- xf86/logind: fix missing call to vtenter if the platform device is not paused

* Wed Dec 15 2021 tmb <tmb> 21.1.2-1.mga9
+ Revision: 1762205
- update to 21.1.2

* Fri Dec 10 2021 tmb <tmb> 21.1.1-4.mga9
+ Revision: 1761374
- add fixes from upstream server-21.1-branch

* Fri Nov 19 2021 tmb <tmb> 21.1.1-3.mga9
+ Revision: 1757993
- Revert "hw/xfree86: Propagate physical dimensions from DRM connector"

* Tue Nov 09 2021 tv <tv> 21.1.1-2.mga9
+ Revision: 1755185
- Stop reverting patch now that xserver has been properly fixed regarding fbdev/vesa

* Mon Nov 08 2021 tmb <tmb> 21.1.1-1.mga9
+ Revision: 1754722
- update to 21.1.1

* Sat Oct 30 2021 tv <tv> 21.1.0-2.mga9
+ Revision: 1753354
- Revert patch that makes fbdev & vesa drives to segfault
  (notably in DrakX)

* Wed Oct 27 2021 tmb <tmb> 21.1.0-1.mga9
+ Revision: 1752995
- update to 21.1.0 final

* Fri Oct 22 2021 tmb <tmb> 21.0.99.902-2.mga9
+ Revision: 1752687
- Fix RandR leasing for more than 1 simultaneously active lease

* Thu Oct 14 2021 tmb <tmb> 21.0.99.902-1.mga9
+ Revision: 1751484
- update to 21.1 RC2

* Sat Oct 02 2021 wally <wally> 21.0.99.901-2.mga9
+ Revision: 1747812
- rebuild for openssl 3.0.0
+ tv <tv>
- X.Org Server 21.1 RC1
- xdmx is dead

* Sun Sep 26 2021 tmb <tmb> 1.20.13-3.mga9
+ Revision: 1746459
- rebuild with fixed glibc-2.34-5.mga9

* Sat Sep 25 2021 tmb <tmb> 1.20.13-2.mga9
+ Revision: 1746334
- rebuild with glibc 2.34

* Sun Aug 08 2021 luigiwalser <luigiwalser> 1.20.13-1.mga9
+ Revision: 1740316
- 1.20.13

* Tue Jul 20 2021 tmb <tmb> 1.20.12-2.mga9
+ Revision: 1737188
- rebuild with binutils 2.37

* Mon Jul 19 2021 tmb <tmb> 1.20.12-1.mga9
+ Revision: 1736961
- update to 1.20.12

* Sun Apr 25 2021 tmb <tmb> 1.20.11-2.mga9
+ Revision: 1719561
- rebuild with gcc 11.1

* Tue Apr 13 2021 tmb <tmb> 1.20.11-1.mga9
+ Revision: 1715695
- update to 1.20.11 (CVE-2021-3472, mga#28774)

* Tue Mar 16 2021 tv <tv> 1.20.10-5.mga9
+ Revision: 1703822
- xwayland has been split as xserver won't see a release soon

* Wed Mar 03 2021 tmb <tmb> 1.20.10-4.mga9
+ Revision: 1697148
- rebuild with new glibc / binutils

* Fri Jan 22 2021 tmb <tmb> 1.20.10-3.mga8
+ Revision: 1672843
- xkb: Fix heap overflow caused by optimized away min
- xwayland: Replace LogMessage with LogMessageVerb
- meson.build: KMS support also depends on dri2

* Wed Dec 02 2020 tv <tv> 1.20.10-2.mga8
+ Revision: 1651651
- xwayland: Make window_get_client_toplevel

* Tue Dec 01 2020 tmb <tmb> 1.20.10-1.mga8
+ Revision: 1651332
- update to 1.20.10
  * drop merged patchees

* Sun Nov 22 2020 tmb <tmb> 1.20.9-9.mga8
+ Revision: 1648422
- stop enabling obsolete SUN-DES-1 authentication
- BR: pkgconfig(libtirpc)
- BR: pkgconfig(libnsl)
- testbuild with glibc 2.32
+ tv <tv>
- Drop BuildRequires to git-core only

* Fri Oct 09 2020 tv <tv> 1.20.9-8.mga8
+ Revision: 1632939
- add all current fixes from upstream

* Wed Aug 26 2020 tv <tv> 1.20.9-7.mga8
+ Revision: 1619122
- Reenable backported Xwayland randr resolution change emulation support

* Wed Aug 26 2020 tv <tv> 1.20.9-6.mga8
+ Revision: 1619098
- 1.20.9

* Thu Aug 13 2020 tv <tv> 1.20.8-6.mga8
+ Revision: 1613923
- BR pkgconfig(dri)
- drop version from pkgconfig(gl) BR to unbreak build
- Enable XC-SECURITY

* Sat Aug 01 2020 tv <tv> 1.20.8-5.mga8
+ Revision: 1610230
- Fix information disclosure bug in pixmap allocation (CVE-2020-14347)

* Thu May 07 2020 tmb <tmb> 1.20.8-4.mga8
+ Revision: 1581580
- rebuild with gcc 10.1 final

* Mon May 04 2020 tmb <tmb> 1.20.8-2.mga8
+ Revision: 1579651
- rebuild with gcc 10.1
+ danf <danf>
- Switch URLs from http: to https:

* Mon Mar 30 2020 tv <tv> 1.20.8-1.mga8
+ Revision: 1562376
- xserver 1.20.8
- Backport latest Xwayland randr resolution change emulation support
  patches.

* Wed Mar 18 2020 tv <tv> 1.20.7-5.mga8
+ Revision: 1557773
- Fix a crash on closing a window using Present found upstream:
  https://gitlab.freedesktop.org/xorg/xserver/issues/1000

* Fri Mar 13 2020 tv <tv> 1.20.7-4.mga8
+ Revision: 1556091
- backport from stable "xserver-1.20-branch" up to commit ad7364d8d
  (for mutter fullscreen unredirect on Wayland)
- Rebase Xwayland randr resolution change emulation support patches
- BR systemtap-sdt-devel
- Return AlreadyGrabbed for keycodes > 255 (rhbz#1697804)

* Thu Feb 20 2020 umeabot <umeabot> 1.20.7-3.mga8
+ Revision: 1547377
- Mageia 8 Mass Rebuild

* Sat Feb 08 2020 tmb <tmb> 1.20.7-2.mga8
+ Revision: 1488073
- configure: Define GLAMOR_HAS_EGL_QUERY_DRIVER when available
- modesetting: Explicitly #include "mi.h"
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Jan 14 2020 tmb <tmb> 1.20.7-1.mga8
+ Revision: 1477895
- updae to 1.20.7
- videodrv_minor is now 1

* Thu Nov 28 2019 tv <tv> 1.20.6-5.mga8
+ Revision: 1463290
- backport Xwayland randr resolution change emulation support

* Sun Nov 24 2019 tmb <tmb> 1.20.6-4.mga8
+ Revision: 1462643
- update to 1.20.6
  * drop merged patches

* Thu Oct 24 2019 tmb <tmb> 1.20.5-4.mga8
+ Revision: 1455686
- dri2: Set fallback driver names for Intel and AMD chips
- add fixes from upstream server-1.20-branch

* Wed Oct 02 2019 daviddavid <daviddavid> 1.20.5-3.mga8
+ Revision: 1448719
- Do not include <sys/io.h> on ARM with glibc to avoid compilation failure
- Do not force vbe and int10 sdk headers as this enables int10 which does
  not build on ARM without <sys/io.h>

* Tue Aug 13 2019 tmb <tmb> 1.20.5-2.mga8
+ Revision: 1429120
- rebuild with gcc 9.2

* Wed Jul 03 2019 tv <tv> 1.20.5-1.mga8
+ Revision: 1417967
- new release
- drop merged patches
- add fixes from current server-1.20-branch
  o Remove atomic downstream patches causing regressions (rhbz#1714981, rhbz#1723715)
  o Xwayland crashes (rhbz#1708119, rhbz#1691745)
  o Cursor issue with tablet on Xwayland
  o Xorg/modesetting issue with flipping pixmaps with Present (rhbz#1645553)
- Return AlreadyGrabbed for keycodes > 255 (rhbz#1697804)

* Mon Apr 22 2019 tmb <tmb> 1.20.4-7.mga7
+ Revision: 1394849
- xwayland: search for a render node to use
- xwayland: fix a realloc OOM error case

* Sat Apr 06 2019 tmb <tmb> 1.20.4-6.mga7
+ Revision: 1386357
- fixes from upstream server-1.20-branch
  * dix: ensure work queues are cleared on reset
  * present/scmd: Check that the flip and screen pixmap pitches match

* Sat Mar 30 2019 tv <tv> 1.20.4-5.mga7
+ Revision: 1381678
- Fix a Qt scrolling bug, don't reset the valuator on slave switch

* Thu Mar 21 2019 tmb <tmb> 1.20.4-4.mga7
+ Revision: 1379437
- Revert 'systemd-logind: Monitor systemd-logind going away'

* Fri Mar 15 2019 tmb <tmb> 1.20.4-3.mga7
+ Revision: 1377671
- glamor: pixmap FBO may not be allocated
- xwayland/present: Destroy sync_callback in xwl_present_clean

* Fri Mar 08 2019 tmb <tmb> 1.20.4-2.mga7
+ Revision: 1372701
- xfree86/modes: Add 'NoOutputInitialSize' option

* Tue Feb 26 2019 tmb <tmb> 1.20.4-1.mga7
+ Revision: 1370293
- update to 1.20.4
  * drop merged patches

* Fri Feb 08 2019 tmb <tmb> 1.20.3-3.mga7
+ Revision: 1364354
- rebuild with new glibc
- DRI2: Add another Coffeelake PCI ID
- resync patches with upstrem server-1.20-branch

* Fri Jan 18 2019 tv <tv> 1.20.3-2.mga7
+ Revision: 1357867
- Xwayland/Present fixes from upstream (rhbz#1609181, rhbz#1661748)

* Thu Oct 25 2018 tmb <tmb> 1.20.3-1.mga7
+ Revision: 1325459
- update to 1.20.3 (CVE-2018-14665)

* Mon Oct 15 2018 tmb <tmb> 1.20.2-1.mga7
+ Revision: 1320604
- update to 1.20.2
  * drop merged patches

* Sun Sep 23 2018 umeabot <umeabot> 1.20.1-3.mga7
+ Revision: 1301786
- Mageia 7 Mass Rebuild

* Sat Sep 22 2018 tv <tv> 1.20.1-2.mga7
+ Revision: 1296365
- Include patches from upstream to fix Xwayland crashes

* Thu Aug 09 2018 tmb <tmb> 1.20.1-1.mga7
+ Revision: 1250547
- update to 1.20.1
  * drop merged patches

* Mon Jun 04 2018 tv <tv> 1.20.0-4.mga7
+ Revision: 1234377
- Xorg Requires x11-driver-input-libinput instead of recommends
- Backport fixes for GNOME on wayland hangs (rhbz#1579067)
+ tmb <tmb>
- test build with new glibc

* Sat May 12 2018 tv <tv> 1.20.0-2.mga7
+ Revision: 1228400
- clean specs
- enable xwayland-eglstream

* Thu May 10 2018 tv <tv> 1.20.0-1.1.mga7
+ Revision: 1228115
- 1.20.0

* Wed May 09 2018 tv <tv> 1.19.99.905-1.5.mga7
+ Revision: 1227858
- more fixes from git

* Tue May 08 2018 tv <tv> 1.19.99.905-1.4.mga7
+ Revision: 1227727
- more fixes from git

* Mon May 07 2018 tv <tv> 1.19.99.905-1.3.mga7
+ Revision: 1227261
- more fixes from git
- Fix xvfb-run's default depth to be 24

* Wed May 02 2018 tv <tv> 1.19.99.905-1.2.mga7
+ Revision: 1224475
- more fixes from git

* Thu Apr 26 2018 tv <tv> 1.19.99.905-1.1.mga7
+ Revision: 1222480
- new release

* Tue Apr 24 2018 tv <tv> 1.19.99.904-1.4.mga7
+ Revision: 1222118
- fix failure to set a video mode -> blank screen on nouveau-kms

* Sat Apr 21 2018 tv <tv> 1.19.99.904-1.3.mga7
+ Revision: 1220664
- add fixes from git

* Sun Apr 15 2018 tv <tv> 1.19.99.904-1.2.mga7
+ Revision: 1218877
- add fixes from git including a Xwayland crash fix
- Re-fix "use type instead of which in xvfb-run" (rhbz#1443357)

* Wed Apr 11 2018 tv <tv> 1.19.99.904-1.1.mga7
+ Revision: 1217539
- xserver 1.20 RC4

* Fri Apr 06 2018 tv <tv> 1.19.99.903-1.3.mga7
+ Revision: 1215695
- more fixes from git

* Thu Apr 05 2018 tv <tv> 1.19.99.903-1.2.mga7
+ Revision: 1215424
- add fixes from git

* Tue Apr 03 2018 tv <tv> 1.19.99.903-1.1.mga7
+ Revision: 1214922
- xserver 1.20 RC3
- reenable updated patches 7025 & 7027

* Thu Mar 29 2018 tv <tv> 1.19.99.902-1.1.mga7
+ Revision: 1213356
- rediff patch
- 1.20 RC2
- drop patches merged in RC2
- modesetting: Fix page flipping under DRI 3.2
- modesetting: Fix up some XXX from removing GLAMOR_HAS_DRM_*
- more fixes from git

* Tue Mar 20 2018 tv <tv> 1.19.99.901-3.1.mga7
+ Revision: 1210538
- more fixes from git

* Sun Mar 18 2018 tv <tv> 1.19.99.901-2.1.mga7
+ Revision: 1210326
- add fixes from git

* Fri Mar 09 2018 tv <tv> 1.19.99.901-1.mga7
+ Revision: 1207604
- 1.20 RC1
- remove merged patches
- rediff patch
- disable some
- remove unsupported options
- xfake & xfbdev are no more

* Fri Feb 16 2018 tv <tv> 1.19.6-5.mga7
+ Revision: 1201727
- xwayland: avoid race condition on new keymap
- xwayland: Keep separate variables for pointer and tablet foci (rhbz#1519961)
- xvfb-run now support command line option “--auto-display”
- Avoid generating a core file when the Wayland compositor is gone.

* Sat Jan 20 2018 tmb <tmb> 1.19.6-4.mga7
+ Revision: 1195059
- xfree86: add default modes for 16:9 and 16:10

* Tue Jan 16 2018 tmb <tmb> 1.19.6-3.mga7
+ Revision: 1193755
- glx: do not pick sRGB config for 32-bit RGBA visual

* Thu Jan 11 2018 tv <tv> 1.19.6-2.mga7
+ Revision: 1192220
- Fix handling of devices with ID_INPUT=null

* Thu Dec 21 2017 tv <tv> 1.19.6-1.mga7
+ Revision: 1183647
- drop merged patch
- new release

* Fri Oct 13 2017 tmb <tmb> 1.19.5-2.mga7
+ Revision: 1171683
- XShmGetImage: fix censoring

* Thu Oct 12 2017 tv <tv> 1.19.5-1.mga7
+ Revision: 1171437
- new release

* Thu Oct 05 2017 tv <tv> 1.19.4-1.mga7
+ Revision: 1169022
- new release
- drop merged patches
- rediff patch 7025

* Wed Sep 13 2017 tv <tv> 1.19.3-7.mga7
+ Revision: 1153540
- xf86: dri2: Use va_gl as vdpau_driver for Intel i965 GPUs
- modesetting: Set correct DRM event context version
  (fix using random memory with libdrm 2.4.78)
- Use type instead of which in xvfb-run (rhbz#1443357)

* Sat Sep 02 2017 tmb <tmb> 1.19.3-6.mga7
+ Revision: 1150671
- rebuild with new gcc/binutils

* Fri Aug 04 2017 guillomovitch <guillomovitch> 1.19.3-5.mga7
+ Revision: 1134928
- rebuild for latest openssl

* Sat Jul 22 2017 tmb <tmb> 1.19.3-4.mga7
+ Revision: 1128627
- xfree86/modes: Make colormap/gamma glue code work with RandR disabled

* Thu Jul 06 2017 tmb <tmb> 1.19.3-3.mga6
+ Revision: 1109107
- fix CVE-2017-10971 and CVE-2017-10972 (mga#21191)

* Tue Mar 28 2017 tmb <tmb> 1.19.3-2.mga6
+ Revision: 1095021
- rebuild with new gcc
+ shlomif <shlomif>
- Correct some typos.

* Thu Mar 16 2017 tv <tv> 1.19.3-1.mga6
+ Revision: 1093210
- new release

* Sat Mar 04 2017 tv <tv> 1.19.2-1.mga6
+ Revision: 1088678
- new release (security)
- drop merged patches

* Wed Mar 01 2017 tv <tv> 1.19.1-3.mga6
+ Revision: 1088376
- security fix (CVE-2017-2624, mga#20376)

* Tue Feb 14 2017 tv <tv> 1.19.1-2.mga6
+ Revision: 1086166
- fix a few input thread lock issues causing intel crashes (rhbz#1384486)

* Mon Jan 16 2017 tv <tv> 1.19.1-1.mga6
+ Revision: 1082001
- xserver 1.19.1

* Tue Jan 10 2017 stormi <stormi> 1.19.0-10.mga6
+ Revision: 1080825
- add patch from upstream to fix DRI2 freezes (mga#19869)

* Tue Dec 20 2016 tv <tv> 1.19.0-9.mga6
+ Revision: 1076208
- Add some patches for better integration with the nvidia binary driver
- Add a patch from upstream fixing a crash (rhbz#1389886)
- autobind: fix the autoconfig not working with the nvidia binary driver

* Thu Dec 01 2016 tv <tv> 1.19.0-8.mga6
+ Revision: 1071418
- stop recommending evdev as libinput obsoletes it

* Fri Nov 25 2016 tv <tv> 1.19.0-7.mga6
+ Revision: 1070173
- rebuild for older libcrypto
- actually add it
- add man pages for xvfb-run from Debian

* Wed Nov 23 2016 tv <tv> 1.19.0-6.mga6
+ Revision: 1069364
- use %%autopatch instead of doing our own custom git-am trick
- Fix use after free of cursors in Xwayland (rhbz#1385258)
- Fix an issue where some monitors would show only black, or
  partially black when secondary GPU outputs are used

* Thu Nov 17 2016 tv <tv> 1.19.0-5.mga6
+ Revision: 1067642
- make devel requires pkgconfig(xfont2)

* Wed Nov 16 2016 tv <tv> 1.19.0-4.mga6
+ Revision: 1067614
- new release
- drop merged patches
- switch to libxfont2
- disable patch 5010 from SuSe as it doesn't apply
- remove obsolete BuildConflicts on systemtap

* Sun Nov 06 2016 tv <tv> 1.18.4-4.mga6
+ Revision: 1065512
- backport xwayland fixes
- rediff suse patch to apply over other patches :-(
- make clear FBO fix is NOT a FC patch
- use autobind fix version from FC
- make clear Orime fixes comes from FC

* Sat Nov 05 2016 ghibo <ghibo> 1.18.4-3.mga6
+ Revision: 1065488
- merged 3 patches from git (increase xcb bufsize, autobind-GPU, and newer pci ids for i965 chipset for newer mesa.
- merged 2 patches from suse (disable hw cursor in mgag200 and cirrus, fix stale FDs).

* Tue Nov 01 2016 ghibo <ghibo> 1.18.4-2.mga6
+ Revision: 1064428
- Added patches from git to fix a couples of mem leaks.
- Merged Patches from FC24 for "prime".

* Tue Jul 19 2016 tmb <tmb> 1.18.4-1.mga6
+ Revision: 1042610
- glamor: Remove the FBO cache (upstream rationale: can hog more than 1 GB
  system memory for minimal speed gain, not so nice on low-spec platforms)
- update to 1.18.4
  * drop merged patches

* Thu Jul 07 2016 tmb <tmb> 1.18.3-15.mga6
+ Revision: 1039441
- sync in more fixes from upstream 1.18 branch

* Tue Jul 05 2016 tmb <tmb> 1.18.3-14.mga6
+ Revision: 1038954
- sync in fixes from upstream xorg 1.18 branch
  * drop merged fedora patches

* Thu Jun 30 2016 tv <tv> 1.18.3-12.mga6
+ Revision: 1038184
- Fix segfault caused by forced indicator update (rhbz#1335439)

* Mon Jun 20 2016 tv <tv> 1.18.3-11.mga6
+ Revision: 1036877
- BR libunwind-devel
- Add switchable-graphics / prime fixes
- requires lib(64)mesaegl1 for modesetting

* Tue May 31 2016 tv <tv> 1.18.3-10.mga6
+ Revision: 1019538
- always install vbe and int10 sdk headers (thus fixing building some drivers on arm)

* Tue May 24 2016 joequant <joequant> 1.18.3-9.mga6
+ Revision: 1018178
- rebuild without ATI patch that seems to break ATI 4270

* Sun May 22 2016 tv <tv> 1.18.3-8.mga6
+ Revision: 1017527
- patch 1000: enable to keep ati/openchrome to work if we ever disable DRI1
- patch 10004: fix incorrect numlock LED after keyboard map switch (rhbz#1047151)

* Wed Apr 20 2016 tv <tv> 1.18.3-7.mga6
+ Revision: 1003718
- fix looking up 32bit extra modules
- drop patch 3000: fdo#47266 was fixed differently upstream

* Tue Apr 19 2016 tv <tv> 1.18.3-6.mga6
+ Revision: 1003585
- replace patch 905 by a xorg.conf.d snippet
  (thus fixing a %%post error -- mga#18139)
- drop patch 904 (-noAutoDevices option)
  (everything is using udev those days:w
- drop patch 907 (-nr compat option; scripts had years for switching to
  "-background none")
- Stop bug warnings on three-finger pinch gestures (rhbz#1282252)

* Wed Apr 06 2016 tv <tv> 1.18.3-5.mga6
+ Revision: 998864
- restore support for extra module directory (still used by nvidia & co)
- drop %%dist

* Tue Apr 05 2016 tv <tv> 1.18.3-4.mga6.mga6
+ Revision: 998770
- BR git
- create xorg.conf.d the FC way (2x smaller pkg)
- add quircks from FC
- drop long overdue X11R6 compat links
- add quircks from FC
- simplify with %%bcond
- expliitely disable dtrace
- drop some useless options
- kill very old obsoletes
- apply patches the FC way
  => really apply present fixes from FC
- further clean (SILE?T)
- further clean (SILE?T)
- drop support for disabling dmx
- drop support for unused extra module directory

* Tue Apr 05 2016 tv <tv> 1.18.3-2.mga6
+ Revision: 998691
- Fix a performance cliff in present triggered by plasma

* Tue Apr 05 2016 tv <tv> 1.18.3-1.mga6
+ Revision: 998686
- new release

* Sat Mar 12 2016 tv <tv> 1.18.2-1.mga6
+ Revision: 989365
- new release

* Tue Feb 09 2016 tmb <tmb> 1.18.1-1.mga6
+ Revision: 952946
- update to 1.18.1

* Fri Jan 29 2016 luigiwalser <luigiwalser> 1.18.0-12.mga6
+ Revision: 928581
- do not require specific version of update-alternatives

* Tue Jan 12 2016 tmb <tmb> 1.18.0-11.mga6
+ Revision: 922044
- disable P128
- temporarily disable parallell build
- add fixes from upstream server-1.18-branch

* Tue Dec 15 2015 ovitters <ovitters> 1.18.0-10.mga6
+ Revision: 910774
- use upstream suid wrapper

* Tue Dec 15 2015 tv <tv> 1.18.0-9.mga6
+ Revision: 910606
- add FC patches for Xwrapper

* Wed Nov 11 2015 tv <tv> 1.18.0-8.mga6
+ Revision: 902247
- submit to core/release

* Tue Nov 10 2015 tv <tv> 1.18.0-7.mga6
+ Revision: 901427
- recommends instead of requiring evdev+libinput

* Tue Nov 10 2015 tv <tv> 1.18.0-6.mga6
+ Revision: 901272
- adjust file list
- temporary disable python bytecompiling
- new release

* Thu Oct 29 2015 tv <tv> 1.17.4-6.mga6
+ Revision: 896500
- new release

* Fri Aug 21 2015 tmb <tmb> 1.17.2-6.mga6
+ Revision: 867070
- rebuild for new gcc

* Thu Aug 20 2015 tmb <tmb> 1.17.2-5.mga6
+ Revision: 866719
- rebuild with gcc 5.2.1

* Tue Aug 18 2015 tmb <tmb> 1.17.2-4.mga6
+ Revision: 865423
- rebuild with new glibc

* Fri Jul 31 2015 tmb <tmb> 1.17.2-3.mga6
+ Revision: 860183
- testbuild with new binutils

* Sun Jun 21 2015 tv <tv> 1.17.2-2.mga6
+ Revision: 837683
- requires x11-driver-input-libinput

* Sat Jun 20 2015 tv <tv> 1.17.2-1.mga6
+ Revision: 836728
- new release

* Sat Jun 20 2015 tv <tv> 1.17.1-1.mga6
+ Revision: 835791
- new release

* Sat Feb 21 2015 tv <tv> 1.16.4-2.mga5
+ Revision: 816219
- enable glamor (mga#14509)

* Thu Feb 12 2015 tmb <tmb> 1.16.4-1.mga5
+ Revision: 814764
- update to 1.16.4
  * drop merged patches

* Thu Feb 12 2015 tv <tv> 1.16.3-4.mga5
+ Revision: 814747
- use mktemp and use it properly (rhbz#632879 & 499234 which is CVE-2009-1573)

* Wed Feb 11 2015 luigiwalser <luigiwalser> 1.16.3-3.mga5
+ Revision: 814702
- add upstream patches to fix CVE-2015-0255

* Sun Feb 08 2015 tmb <tmb> 1.16.3-2.mga5
+ Revision: 814171
- dix: Allow zero-height PutImage requests
- os: Fix timer race conditions
- randr: attempt to fix primary on slave output (v2)
- config/udev: Respect seat assignments when assigned devices
- dix: make RegionInit legal C++
- dri2: SourceOffloads may be for DRI3 only

* Sat Dec 20 2014 tv <tv> 1.16.3-1.mga5
+ Revision: 804519
- new release

* Sat Dec 13 2014 tv <tv> 1.16.2.901-1.mga5
+ Revision: 802892
- new release

* Wed Nov 19 2014 tv <tv> 1.16.2-1.mga5
+ Revision: 797889
- new release
+ colin <colin>
- Add a note about checking journal output rather than /dev/null

* Wed Oct 15 2014 umeabot <umeabot> 1.16.1-2.mga5
+ Revision: 748070
- Second Mageia 5 Mass Rebuild

* Tue Sep 23 2014 tmb <tmb> 1.16.1-1.mga5
+ Revision: 721826
- update to 1.16.1

* Tue Sep 16 2014 umeabot <umeabot> 1.16.0-8.mga5
+ Revision: 690523
- Mageia 5 Mass Rebuild
+ tv <tv>
- auto convert _exclude_files_from_autoreq

* Fri Sep 12 2014 colin <colin> 1.16.0-7.mga5
+ Revision: 674804
- Actually apply patch 1002: fix cogl/clutter crashes

* Fri Sep 12 2014 tv <tv> 1.16.0-6.mga5
+ Revision: 674782
- patch 1002: fix cogl/clutter crashes

* Tue Sep 09 2014 tmb <tmb> 1.16.0-5.mga5
+ Revision: 674223
- rebuild with new glibc

* Thu Sep 04 2014 joequant <joequant> 1.16.0-4.mga5
+ Revision: 671741
- rebuild for new systemd

* Thu Aug 21 2014 blino <blino> 1.16.0-3.mga5
+ Revision: 666123
- rebuild for x11-proto-devel with presentproto fix

* Tue Jul 29 2014 tv <tv> 1.16.0-2.mga5
+ Revision: 657843
- rebuild with fixed gcc (might fix mga#13774)

* Thu Jul 17 2014 tv <tv> 1.16.0-1.mga5
+ Revision: 653468
- new release

* Tue Jul 08 2014 tv <tv> 1.15.99.904-1.mga5
+ Revision: 650610
- new release
- drop merged patch

* Thu Jun 26 2014 tv <tv> 1.15.99.903-4.mga5
+ Revision: 639902
- fix xvfb segfaulting (mga#13598)

* Sat Jun 14 2014 tv <tv> 1.15.99.903-3.mga5
+ Revision: 636090
- BR egl/gbm/systemd
- enable dbus support
- enable systemd support
- drop option for building w/o udev support
- kill unsupported options: (--disable|--enable)-(builddocs|config-dbus)
- convert BR to pkgconfig(*) style

* Mon Jun 09 2014 tv <tv> 1.15.99.903-2.mga5
+ Revision: 634943
- submit to core/release

* Thu Jun 05 2014 tmb <tmb> 1.15.99.903-1.1.mga5
+ Revision: 633591
- videodrv abi is now 18
+ tv <tv>
- new RC

* Mon Apr 14 2014 tv <tv> 1.15.99.902-1.mga5
+ Revision: 614291
- package xwayland
- fix compiling
- BR pkgconfig(epoxy)
- BR pkgconfig(wayland-client)
- bump xinput_major
- bump videodrv_major
- 1.16 RC
- temporary disable patch 908
- rediff patch 3000

* Mon Apr 14 2014 fwang <fwang> 1.15.1-1.mga5
+ Revision: 613966
- 1.15.1

* Mon Apr 14 2014 tv <tv> 1.15.0.901-1.mga5
+ Revision: 613947
- 1.15 RC1

* Mon Feb 17 2014 tmb <tmb> 1.15.0-7.mga5
+ Revision: 593945
- rebuild with new glibc

* Sat Feb 08 2014 tmb <tmb> 1.15.0-6.mga5
+ Revision: 586765
- test build with new glibc

* Fri Feb 07 2014 fwang <fwang> 1.15.0-5.mga5
+ Revision: 584988
- really use correct macro

* Fri Feb 07 2014 fwang <fwang> 1.15.0-4.mga5
+ Revision: 584984
- filter python abi req

* Wed Feb 05 2014 tv <tv> 1.15.0-3.mga5
+ Revision: 582808
- BR pkgconfig(xshmfence) for DRI3

* Tue Feb 04 2014 tv <tv> 1.15.0-2.mga5
+ Revision: 582133
- adjust file list
- disable _python_bytecompile_errors_terminate_build
- BR python3 for ./hw/xwin/glx/gen_gl_wrappers.py
- add 3 more xcb BR
- BR xcb-util-devel
- new release
- drop merged patch

* Thu Dec 26 2013 luigiwalser <luigiwalser> 1.14.5-2.mga4
+ Revision: 560868
- add patch from debian to fix CVE-2013-6424

* Sun Dec 15 2013 tmb <tmb> 1.14.5-1.mga4
+ Revision: 556845
- 1.14.5 (maintenance release)

* Fri Dec 06 2013 tmb <tmb> 1.14.4-3.mga4
+ Revision: 555552
- push to /release

* Wed Dec 04 2013 tmb <tmb> 1.14.4-2.mga4
+ Revision: 555146
- glx: Add support for the new DRI loader entrypoint

* Fri Nov 08 2013 tmb <tmb> 1.14.4-1.mga4
+ Revision: 550030
- dont use %%apply_patches as the backup files end up in x11-server-source
- drop merged CVE patch
+ tv <tv>
- new release

* Mon Oct 21 2013 umeabot <umeabot> 1.14.3-4.mga4
+ Revision: 541067
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 fwang <fwang> 1.14.3-3.mga4
+ Revision: 495038
- add upstream patch to fix CVE-2013-4396

* Mon Sep 16 2013 tv <tv> 1.14.3-2.mga4
+ Revision: 480226
- fix Xephyr segfault with 8 or 16-bit color depth

* Fri Sep 13 2013 fwang <fwang> 1.14.3-1.mga4
+ Revision: 478314
- new version 1.14.3

* Wed Sep 04 2013 luigiwalser <luigiwalser> 1.14.2.902-2.mga4
+ Revision: 474911
- rpm no longer allows listing a symlink to a directory as a dir in files
+ tv <tv>
- 1.14.3 RC2

* Sun Aug 11 2013 tmb <tmb> 1.14.2-6.mga4
+ Revision: 465403
- rebuild with new gcc

* Thu Aug 08 2013 tmb <tmb> 1.14.2-5.mga4
+ Revision: 464643
- gcc-4.8.2 build

* Thu Aug 08 2013 tmb <tmb> 1.14.2-4.mga4
+ Revision: 464642
- glx: fix uninitialized var in __glXDRIscreenProbe (fdo#59825)

* Thu Aug 01 2013 tmb <tmb> 1.14.2-3.mga4
+ Revision: 462258
- force gcc 4.8.2 build

* Thu Aug 01 2013 tmb <tmb> 1.14.2-2.mga4
+ Revision: 462179
- test gcc-4.8.2 build

* Wed Jun 26 2013 fwang <fwang> 1.14.2-1.mga4
+ Revision: 446715
- new version 1.14.2

* Fri Jun 14 2013 tv <tv> 1.14.1.902-1.mga4
+ Revision: 443012
- 1.14.2 RC2

* Fri May 31 2013 tv <tv> 1.14.1.901-1.mga4
+ Revision: 433651
- 1.14.2 RC1

* Thu May 30 2013 tv <tv> 1.14.1-2.mga4
+ Revision: 433084
- submit to core/release

* Thu May 23 2013 tv <tv> 1.14.1-1.mga4
+ Revision: 424873
- new release

* Mon Apr 22 2013 tmb <tmb> 1.13.4-2.mga3
+ Revision: 410863
- drop P100 as it did not fix sis support and broke vboxvideo (#9716)

* Wed Apr 17 2013 tmb <tmb> 1.13.4-1.mga3
+ Revision: 410251
- 1.13.4 (CVE-2013-1940)

* Wed Apr 10 2013 tmb <tmb> 1.13.3-2.mga3
+ Revision: 409375
- dri1: fix dri1 startup since 459c6da0f907ba33d733c7e62a116184ba2f14e5
  (Move DRI1 from external module to built-in) (P100, upstream)

* Sat Mar 09 2013 fwang <fwang> 1.13.3-1.mga3
+ Revision: 401996
- new version 1.13.3 final

* Sat Mar 02 2013 tmb <tmb> 1.13.2.902-1.mga3
+ Revision: 401062
- randr: cleanup provider properly (fdo #58174)
- update to 1.13.3-to 1.13.3-rc2

* Sat Feb 23 2013 tmb <tmb> 1.13.2.901-1.mga3
+ Revision: 400092
- 1.13.3-rc1 (maintenance release)

* Fri Feb 08 2013 luigiwalser <luigiwalser> 1.13.2-2.mga3
+ Revision: 397217
- remove obsolete pre script

* Fri Jan 25 2013 fwang <fwang> 1.13.2-1.mga3
+ Revision: 392267
- new version 1.13.2

* Mon Jan 14 2013 umeabot <umeabot> 1.13.1.901-2.mga3
+ Revision: 386393
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 tv <tv> 1.13.1.901-1.mga3
+ Revision: 338950
- 1.13.2 RC1

* Tue Jan 01 2013 tmb <tmb> 1.13.1-2.mga3
+ Revision: 337395
- rebuild for new glibc

* Fri Dec 14 2012 tv <tv> 1.13.1-1.mga3
+ Revision: 330842
- new release

* Fri Dec 07 2012 tv <tv> 1.13.0.902-1.mga3
+ Revision: 327966
- 1.13.1-rc2

* Fri Nov 30 2012 tv <tv> 1.13.0.901-1.mga3
+ Revision: 323333
- bump videodrv minor
- drop merged patches
- 1.13.1-rc1

* Mon Nov 05 2012 tv <tv> 1.13.0-7.mga3
+ Revision: 314428
- fix Cairo corruption (mga#7635, fdo#55723)

* Sun Oct 07 2012 tv <tv> 1.13.0-6.mga3
+ Revision: 303203
- update glyphs cache patch

* Sat Sep 15 2012 tv <tv> 1.13.0-5.mga3
+ Revision: 294095
- use new pixman API for caching glyphs (3.45x firefox speedup)

* Fri Sep 14 2012 blino <blino> 1.13.0-4.mga3
+ Revision: 293723
- dri2: invalidate drawable after sharing pixmap (for PRIME, from Dave Airlie, Fedora)

* Fri Sep 07 2012 tv <tv> 1.13.0-3.mga3
+ Revision: 289348
- bump release

* Fri Sep 07 2012 tv <tv> 1.13.0-2.mga3
+ Revision: 289338
- requires GL-devel for pkgconfig file (fix drivers building)

* Thu Sep 06 2012 tv <tv> 1.13.0-1.mga3
+ Revision: 288744
- new release
- rediff patches 904 & 906

* Mon Aug 27 2012 fwang <fwang> 1.12.4-1.mga3
+ Revision: 284617
- new version 1.12.4

* Sun Aug 26 2012 tv <tv> 1.12.3.902-1.mga3
+ Revision: 284361
- bump videodrv_minor
- 1.12.4 RC2

* Wed Jul 18 2012 tmb <tmb> 1.12.3-2.mga3
+ Revision: 272329
- drop requires on tirpc-devel as glibc provides full rpc support again
+ fwang <fwang>
- drop xcalibrate switch

* Mon Jul 09 2012 fwang <fwang> 1.12.3-1.mga3
+ Revision: 269005
- new version 1.12.3

* Fri Jun 29 2012 colin <colin> 1.12.2-6.mga3
+ Revision: 264947
- Rebuild against new libudev major

* Fri Jun 29 2012 colin <colin> 1.12.2-5.mga3
+ Revision: 264834
- Do not install udev rules into /etc.
- Remove all HAL support options.
- Use more robust udev script/rules (note this will die soonish)

* Fri Jun 29 2012 colin <colin> 1.12.2-4.mga3
+ Revision: 264817
- Fix mageia-setup-keyboard to work with new udev.

* Tue Jun 19 2012 tv <tv> 1.12.2-3.mga3
+ Revision: 261988
- rebuild for new libudev

* Wed Jun 06 2012 tmb <tmb> 1.12.2-2.mga3
+ Revision: 256304
- rebuild for core/release

* Thu May 31 2012 tv <tv> 1.12.2-1.mga3
+ Revision: 252482
- kill old upgrade bits (/usr/X11R6 -> /usr)
- clean obsolete obsoletes tags
- rediff more patches
- new release
- rediff patches

* Wed May 30 2012 tv <tv> 1.12.0-1.mga3
+ Revision: 249761
- new release
- drop merged patches
- rediff patches
- explain patch 902

* Tue May 29 2012 tv <tv> 1.11.4-4.mga3
+ Revision: 249162
- bump release

* Tue May 29 2012 tv <tv> 1.11.4-3.mga3
+ Revision: 249124
- fix issues with new cairo

* Fri Mar 02 2012 anssi <anssi> 1.11.4-2.mga2
+ Revision: 216884
- add additional 'xserver-abi(videodrv)' versioned provide as the existing
  'xserver-abi(videodrv-MAJOR)' versioned provide can't be used with
  proprietary drivers that support multiple ABIs
+ fwang <fwang>
- now it like dual arch package

* Sat Jan 28 2012 fwang <fwang> 1.11.4-1.mga2
+ Revision: 202648
- new version 1.11.4

* Sun Jan 22 2012 tv <tv> 1.11.3.902-1.mga2
+ Revision: 199625
- new RC

* Tue Jan 10 2012 colin <colin> 1.11.3.901-1.mga2
+ Revision: 194368
- Update to 1.11.3.901 (fixes compilation problems)
- Add two patches for GTK+/XI2 issue (fdo#44079, bgo#657578)
+ tv <tv>
- bump release
+ fwang <fwang>
- disable strict compilatio
- new version 1.11.3
  drop merged upstream patch

* Tue Dec 06 2011 tmb <tmb> 1.11.2-3.mga2
+ Revision: 177429
- submit to core/release

* Tue Nov 29 2011 colin <colin> 1.11.2-2.mga2
+ Revision: 174094
- Add upstream patch to fix XI2 keygrabs (fixes gnome multimedia key handling)

* Sun Nov 06 2011 tv <tv> 1.11.2-1.mga2
+ Revision: 164205
- new release

* Sun Oct 23 2011 tmb <tmb> 1.11.1-1.mga2
+ Revision: 157533
- add BR: tirpc-devel for rpc support as glibc-2.14 does not provide it anymore
- push to release

* Sat Oct 08 2011 colin <colin> 1.11.1-0.1.mga2
+ Revision: 153021
- New version: 1.11.1
+ fwang <fwang>
- new version 1.10.4
+ tv <tv>
- 1.10.4RC2
- 1.10.4 RC1

* Sat Jul 09 2011 fwang <fwang> 1.10.3-1.mga2
+ Revision: 120835
- new version 1.10.3

* Thu Jun 16 2011 tv <tv> 1.10.2-1.mga2
+ Revision: 108470
- new release

* Sun Apr 17 2011 tv <tv> 1.10.1-1.mga1
+ Revision: 87463
- new release

* Tue Apr 12 2011 tv <tv> 1.10.0.902-1.mga1
+ Revision: 83573
- New version: 1.10.1 RC2

* Fri Apr 01 2011 tv <tv> 1.10.0.901-1.mga1
+ Revision: 79648
- New version: 1.10.1 RC1
+ misc <misc>
- fix the vendor name ( #595 )

* Thu Mar 03 2011 tv <tv> 1.10.0-1.mga1
+ Revision: 63783
- sync with Mandriva
- New version: 1.10.0
- Dropped patches:
  - 401: partially applied, see patch 907
  - 402: the place where we copied the patch from is not using it anymore
  - 1000: applied upstream
- New patches:
  - 907: implement what's left from old patch 401
- Rediff other patches, fix patch numbering
- Rediff 1001-do-not-crash-if-xv-not-initialized.patch
- Add some comments about patches we might want to remove

* Wed Feb 16 2011 blino <blino> 1.9.4-2.mga1
+ Revision: 52765
- do not crash if Xv is not initialized (patch from xorg-devel ML)

* Tue Feb 15 2011 tmb <tmb> 1.9.4-1.mga1
+ Revision: 51956
- P1000: Fix garbaged screen with latest ati driver 6.14 on open
  openoffice.org startup (color tiling issue, fdo bug #33929)(tv)
- update to 1.9.4 final

* Mon Feb 14 2011 dmorgan <dmorgan> 1.9.3.902-2.mga1
+ Revision: 51709
- Fix kb layout

* Wed Feb 02 2011 dmorgan <dmorgan> 1.9.3.902-1.mga1
+ Revision: 46236
- Fix x11-util-macros version
- New version 1.9.3.902

* Wed Jan 12 2011 dmorgan <dmorgan> 1.9.3-4.mga1
+ Revision: 7552
- Enable back udev support

* Tue Jan 11 2011 dmorgan <dmorgan> 1.9.3-3.mga1
+ Revision: 6194
- Do not enable udev for now
- Do not build the doc
- Change binary name
- Add mageia bugzilla
- imported package x11-server


* Wed Dec 29 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.9.3-3mdv2011.0
+ Revision: 626003
- Remove useless udev rules
- Create /etc/X11/xorg.conf.d

* Tue Dec 21 2010 Thierry Vignaud <tv@mandriva.org> 1.9.3-2mdv2011.0
+ Revision: 623554
- patches 950 & 951: Fix edge case in SYNC extension resulting in GNOME
  screensaver's fade-to-screensaver being uninteruptible (from Ubuntu)

* Mon Dec 13 2010 Thierry Vignaud <tv@mandriva.org> 1.9.3-1mdv2011.0
+ Revision: 620682
- new release

* Wed Dec 08 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.9.2.902-3mdv2011.0
+ Revision: 616332
- Copy the whole source to the "-source" subpackage, avoiding hacks.

* Mon Dec 06 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.9.2.902-2mdv2011.0
+ Revision: 612188
- Add more files to the -source subpackage (for tigervnc)

* Sun Dec 05 2010 Thierry Vignaud <tv@mandriva.org> 1.9.2.902-1mdv2011.0
+ Revision: 610592
- 1.9.3 RC2
- drop patch 903 (merged upsteam long ago, see quirk_detailed_sync_pp())

* Sun Nov 14 2010 Thierry Vignaud <tv@mandriva.org> 1.9.2.901-1mdv2011.0
+ Revision: 597541
- 1.9.3 RC1

* Tue Nov 02 2010 Thierry Vignaud <tv@mandriva.org> 1.9.2-1mdv2011.0
+ Revision: 591815
- new release

* Sun Oct 24 2010 Thierry Vignaud <tv@mandriva.org> 1.9.1-2mdv2011.0
+ Revision: 588677
- provides actual ABI so that drivers can requires xorg ABIs
  (taken from Fedora, but we do will use it unlike them)
- x11-server-xorg only requires x11-driver-input-{keyboard,mouse} if not using
  hal or udev

* Sun Oct 24 2010 Funda Wang <fwang@mandriva.org> 1.9.1-1mdv2011.0
+ Revision: 587886
- 1.9.1 final
- fontdir switch becomes unrecognized

* Tue Oct 19 2010 Thierry Vignaud <tv@mandriva.org> 1.9.0.902-2mdv2011.0
+ Revision: 586767
- make x11-server-xorg requires x11-driver-input-evdev since it's a must have with udev

* Fri Oct 15 2010 Thierry Vignaud <tv@mandriva.org> 1.9.0.902-1mdv2011.0
+ Revision: 585880
- 1.9.0.902 (aka 1.9.1rc2)

* Sun Oct 10 2010 Thierry Vignaud <tv@mandriva.org> 1.9.0-3mdv2011.0
+ Revision: 584858
- mandriva-setup-keyboard-udev: update for xserver-1.9 (Andrey Borzenkov)

* Sun Oct 10 2010 Thierry Vignaud <tv@mandriva.org> 1.9.0-2mdv2011.0
+ Revision: 584843
- use udev instead of hal
- fix file list when enabling udev

* Sun Oct 10 2010 Thierry Vignaud <tv@mandriva.org> 1.9.0-1mdv2011.0
+ Revision: 584624
- new release
- refresh patch 401
- drop patch 400 & 403 (rh patches droped by rh)
- rediff xkb cache patch
- BuildRequires: x11-font-util >= 1.1
- require new enough libxfont (prevent startup breakage)
- Xsdl is dead

* Tue May 04 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.7.7-1mdv2010.1
+ Revision: 542076
- New version: 1.7.7

* Thu Apr 29 2010 Pascal Terjan <pterjan@mandriva.org> 1.7.6.902-5mdv2010.1
+ Revision: 540801
- rebuild with normal ld

* Tue Apr 27 2010 Christophe Fergeau <cfergeau@mandriva.com> 1.7.6.902-4mdv2010.1
+ Revision: 539609
- rebuild so that shared libraries are properly stripped again

* Tue Apr 27 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.7.6.902-3mdv2010.1
+ Revision: 539412
- Add patch from "nominations" branch that should fix the current problems

* Thu Apr 22 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.7.6.902-1mdv2010.1
+ Revision: 537967
- New version: 1.7.6.902
- Patch 0909 applied upstream
- Re-enable xfake
- Improve mouse-quirks documentation

* Tue Apr 13 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.7.6-6mdv2010.1
+ Revision: 534199
- Add mouse-quirks.fdi that should replace imwheel

* Mon Apr 05 2010 Funda Wang <fwang@mandriva.org> 1.7.6-5mdv2010.1
+ Revision: 531722
- rebuild for new openssl

* Tue Mar 30 2010 Anssi Hannula <anssi@mandriva.org> 1.7.6-4mdv2010.1
+ Revision: 528934
- allow fglrx 8.720+ as they have X.org server 1.7 support

* Fri Mar 26 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.7.6-3mdv2010.1
+ Revision: 527643
- x11-server-source: remove noarch and add License

* Wed Mar 24 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.7.6-2mdv2010.1
+ Revision: 527275
- Add x11-server-source package (for Xvnc)
  Thanks to Shlomi Fish for providing the patche.
  This commit also removes some trailing whitespaces in the spec file.

* Wed Mar 24 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.7.6-1mdv2010.1
+ Revision: 527233
- New version: 1.7.6
  Only apply udev patches if udev is enabled (and it won't be until 2011.0)

* Fri Mar 12 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.7.5-4mdv2010.1
+ Revision: 518396
- Add patch to warn us if we run out of opcodes

* Thu Mar 11 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.7.5-3mdv2010.1
+ Revision: 518021
- Don't explicitly enable multibuffer extension (use upstream default, which is
  "disabled" for now)
  This extension is old, deprecated and has 2 events. Nvidia closed source driver
  adds 5 events and makes us exceed the event limit (64). This causes random (and
  probably important) extensions to be disabled.
  This bug was triggered by the last rebuild, which uses the new dri2 proto, which
  contains 1 more event.
  Thanks to Anssi for debugging and finding the fix.
  See bug #57889

* Fri Feb 26 2010 Oden Eriksson <oeriksson@mandriva.com> 1.7.5-2mdv2010.1
+ Revision: 511662
- rebuilt against openssl-0.9.8m

* Wed Feb 17 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.7.5-1mdv2010.1
+ Revision: 507004
- New version: 1.7.5
- Apply xkb mapping to all input devices with keys (by Andrey Borzenkov)
- 61-x11-input.rules: do nothing if ACTION!="add"
  (saves calls to mandriva-setup-keyboard when keyboards are removed)
  Thanks to Andrey Borzenkov for spotting this.
- Add disabled libudev input hotplug backend support

  + Anssi Hannula <anssi@mandriva.org>
    - add conflict with fglrx driver, does not work with 1.7+ server

* Fri Jan 08 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.7.4-1mdv2010.1
+ Revision: 487684
- Remove patch 907 because it was required only by the older xkbcomp patch
- New version: 1.7.4
  Rediff patch ctrl+alt+backspace patch

* Wed Jan 06 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.7.3-2mdv2010.1
+ Revision: 486868
- x11-server-common should require xkbcomp and x11-data-xkbdata (#56818)

* Thu Dec 03 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.7.3-1mdv2010.1
+ Revision: 473018
- New version: 1.7.3
- Re-enable xkbcomp patch.
  Now it creates the temporary file in the same directory as the final file, so
  reanme() won't have problems with multiple partitions.
  Also, the file name is now tmp-<display>.xkm, which eliminates the possibility
  of race conditions since each X server will have its own file name. This removes
  the usage of the deprecated functions used to create temporary files

* Wed Dec 02 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.7.2-3mdv2010.1
+ Revision: 472715
- Temporarily disable xkbcomp patch again because it uses "rename", which doesn't
  work between multiple file systems.
  This is just to prevent more systems breaking. New version is coming soon.

* Tue Dec 01 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.7.2-2mdv2010.1
+ Revision: 472433
- Re-enable xkbcomp patch, but now based on Yan Li's version (smaller patch)

* Fri Nov 27 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.7.2-1mdv2010.1
+ Revision: 470564
- New version: 1.7.2

* Fri Nov 13 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.7.1-5mdv2010.1
+ Revision: 465889
- Obsolete xorg-x11-server

* Fri Nov 13 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.7.1-4mdv2010.1
+ Revision: 465827
- Obsolete xorg-x11-Xnest and xorg-x11-Xvfb
- Remove unrecognized configure options
- Remove kdrive-vesa modules.
  They have been removed from the xserver code a long time ago and won't come
  back, so we can clean the spec.

  + Thierry Vignaud <tv@mandriva.org>
    - add a warning

* Wed Nov 11 2009 Thierry Vignaud <tv@mandriva.org> 1.7.1-3mdv2010.1
+ Revision: 464384
+ rebuild (emptylog)

* Tue Nov 10 2009 Thierry Vignaud <tv@mandriva.org> 1.7.1-2mdv2010.1
+ Revision: 464381
- make it installable on x86_64

* Tue Nov 10 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.7.1-1mdv2010.1
+ Revision: 464242
- New version: 1.7.1
  Updated and reorganized patches
  Enabled xdmx
  Temporarily disabled xvnc and the xkbcomp patch (this will be fixed soon)
- Obsolete xorg-x11-Xdmx: package was used in the transition to modular

* Tue Oct 13 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.6.5-1mdv2010.0
+ Revision: 457143
- 1.6.5 release

* Tue Sep 29 2009 Colin Guthrie <cguthrie@mandriva.org> 1.6.4-2mdv2010.0
+ Revision: 451066
- DGA driver fixes (KeithP's third attempt - brown paper bag firmly in place)

* Tue Sep 29 2009 Colin Guthrie <cguthrie@mandriva.org> 1.6.4-1mdv2010.0
+ Revision: 450839
- New version: 1.6.4

  + Paulo Ricardo Zanoni <pzanoni@mandriva.com>
    - Fix double BuildRequires for libxfont-devel

* Fri Sep 18 2009 Jérôme Quelin <jquelin@mandriva.org> 1.6.3.901-2mdv2010.0
+ Revision: 444263
- rebuild
- fix bug 52928

* Thu Aug 27 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 1.6.3.901-1mdv2010.0
+ Revision: 421758
- Update to version 1.6.3.901 (1.6.4 RC1)

* Tue Aug 18 2009 Colin Guthrie <cguthrie@mandriva.org> 1.6.3-2mdv2010.0
+ Revision: 417657
- Cherry-pick fix for fdo#21554 (reprobe randr after resume from suspend)

* Mon Aug 17 2009 Colin Guthrie <cguthrie@mandriva.org> 1.6.3-1mdv2010.0
+ Revision: 417170
- New version: 1.6.3
- Drop upstream applied patches
- Rediff patches that need it
- Cherry pick fix for gnome screenblanking issue

* Sat Aug 15 2009 Oden Eriksson <oeriksson@mandriva.com> 1.6.2-4mdv2010.0
+ Revision: 416534
- rebuilt against libjpeg v7

* Tue Jul 21 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1.6.2-3mdv2010.0
+ Revision: 398291
- Don't allow build with systemtap (build fails, dtrace support
  conflicts).
- Apply fix for http://bugs.freedesktop.org/show_bug.cgi?id=22642 (from
  xorg git repository). Fix assertions triggering with EXA after
  libpixman 0.15.16 update.

* Thu Jul 09 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 1.6.2-2mdv2010.0
+ Revision: 393980
- Sync with server-1.6-branch
 o Fix build of drivers with 1.6.2 when not using --install-libxf86config
 o xdmcp: Don't crash on X -query with more than 255 IP addresses. (fdo #20675)

* Wed Jul 08 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 1.6.2-1mdv2010.0
+ Revision: 393521
- Update to newer version 1.6.2

* Tue Jun 30 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 1.6.1.902-4mdv2010.0
+ Revision: 391048
- sync with server-1.6-branch
- update to 1.6.1.902
- xvfb-run: fix Xauthority creation when TMPDIR is set

* Thu Jun 18 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 1.6.1.901-4mdv2010.0
+ Revision: 387219
- add ZapWarning option enabled by default (OpenSUSE patch)

  + Colin Guthrie <cguthrie@mandriva.org>
    - Use the offical %%apply_patches macro

* Wed Jun 17 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 1.6.1.901-3mdv2010.0
+ Revision: 386506
- sync with server-1.6-branch
- mandriva-setup-keyboard: set XkbModel
- reenable Zapping (default behaviour unchanged due to xkeyboard-config 1.6)

* Tue Jun 02 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 1.6.1.901-2mdv2010.0
+ Revision: 382303
- sync with server-1.6-branch
- add patch to fix mdv #48821

* Tue May 19 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 1.6.1.901-1mdv2010.0
+ Revision: 377787
- Update to version 1.6.1.901

* Mon May 04 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 1.6.1-1mdv2010.0
+ Revision: 371954
- Fix crash while using Xinerama and holding key pressed (mdv #50472)

  + Christophe Fergeau <cfergeau@mandriva.com>
    - Fix typo noticed by Colin Gunthrie, thanks :)
    - Make it possible to run mandriva-setup-keyboard standalone (for now it's only
      a HAL callout). drakx-x11-keyboard-mouse needs it to be able to update the
      HAL xkb keys when the user chooses a different keyboard layout so that it's
      preserved on X restarts.

* Tue Apr 14 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 1.6.1-1mdv2009.1
+ Revision: 367232
- New version 1.6.1

* Mon Apr 13 2009 Anssi Hannula <anssi@mandriva.org> 1.6.0-12mdv2009.1
+ Revision: 366756
- add conflicts on now-removed nvidia71xx driver as it does not support
  X.org server 1.5+

* Mon Apr 13 2009 Anssi Hannula <anssi@mandriva.org> 1.6.0-11mdv2009.1
+ Revision: 366533
- drop alternatives on /usr/bin/Xorg as fglrx no longer needs 1.5 server

* Thu Apr 09 2009 Colin Guthrie <cguthrie@mandriva.org> 1.6.0-10mdv2009.1
+ Revision: 365459
- Fix GLX memory leak (fdo#20704)

* Mon Apr 06 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 1.6.0-9mdv2009.1
+ Revision: 364529
- sync with server-1.6-branch
- fix crash with a device section for an unplugged wacom device (#49349)

* Tue Mar 24 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 1.6.0-8mdv2009.1
+ Revision: 360906
- port xkb cache patch to server 1.6
- remove some disabled patches:
  - blue background (503): stick to X new default, black
  - fix incorrect keyboard test (532): similar patch applied upstream
  - fix crash in xorgcfg (901): xorgcfg was removed before the release of 1.6

* Thu Mar 19 2009 Anssi Hannula <anssi@mandriva.org> 1.6.0-7mdv2009.1
+ Revision: 357876
- add a ghost file for Xorg and remove hacks

* Thu Mar 19 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 1.6.0-6mdv2009.1
+ Revision: 357778
- Move libglx and libdri to default path. (mdv #48936)

* Thu Mar 19 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 1.6.0-5mdv2009.1
+ Revision: 357773
- common: call update-alternatives to ensure the links exist after the install step in %%post

* Wed Mar 18 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 1.6.0-4mdv2009.1
+ Revision: 357470
- Fix upgrade from versions <= 1.6.0-2
  Since the /usr/bin/Xorg file was provided by x11-server-xorg, which depends on x11-server-common
  but the new alternative link is created by x11-server-common, it got removed when the old
  x11-server-xorg was removed and had to be manually created.

* Tue Mar 17 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 1.6.0-3mdv2009.1
+ Revision: 356864
- Patch to search extra modules directory befero default module path
- Use alternatives for the Xorg binary.

* Thu Mar 05 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 1.6.0-2mdv2009.1
+ Revision: 349183
- Honour Option "DPMS" "off" in xorg.conf

* Thu Feb 26 2009 Colin Guthrie <cguthrie@mandriva.org> 1.6.0-1mdv2009.1
+ Revision: 345307
- Replace old tarball with 1.6.0 source.
- Remove reverted change as it was fixed differently upstream

  + Ander Conselvan de Oliveira <ander@mandriva.com>
    - New version 1.6.0

* Mon Feb 23 2009 Colin Guthrie <cguthrie@mandriva.org> 1.5.99.903-2mdv2009.1
+ Revision: 344041
- Add upstream patch to fix compilation (fontmod.h)
- Upstream c-p to initialise glx properly.
- Revert glx retval checks as it seems to break compiz (further investigation needed)

* Wed Feb 18 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 1.5.99.903-1mdv2009.1
+ Revision: 342642
- New version 1.5.99.903 (1.6 RC 3)

* Wed Feb 11 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 1.5.99.902-1.20090131.5mdv2009.1
+ Revision: 339487
- revert "only call mandriva-setup-keyboard for devices with input.capabilities = keyboard" (mdv #47647)
- remove patch 0301-RH-xserver-1.4.99-dont-backfill-bg-none (mdv #47126)

* Mon Feb 09 2009 Colin Guthrie <cguthrie@mandriva.org> 1.5.99.902-1.20090131.4mdv2009.1
+ Revision: 338999
- Add patch by Eric Anholt to unbreak GLX visuals

* Sat Feb 07 2009 Colin Guthrie <cguthrie@mandriva.org> 1.5.99.902-1.20090131.3mdv2009.1
+ Revision: 338363
- Update 10-x11-keymap.fdi: only call mandriva-setup-keyboard for devices with input.capabilities = keyboard (rh#484217)

* Sat Feb 07 2009 Colin Guthrie <cguthrie@mandriva.org> 1.5.99.902-1.20090131.2mdv2009.1
+ Revision: 338362
- Update upstream cherry-picks from the X.org wiki
- Replace local patch (composite from fdo#19337) with upstream fix (well, it hopefully fixes...)

* Sat Jan 31 2009 Colin Guthrie <cguthrie@mandriva.org> 1.5.99.902-1.20090131.1mdv2009.1
+ Revision: 335753
- X.Org X Server 1.5.99.902 (1.6.0 RC 2)
- Rediff & drop upstream applied patches
- Add extra patch from RH

* Wed Jan 28 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 1.5.99.3-1.20090110.13mdv2009.1
+ Revision: 334930
- Remove auto-enable IgnoreABI patch. It worked only for nvidia devices for
  which drivers have been update
- Add -noAutoAddDevices command line option.

* Tue Jan 27 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 1.5.99.3-1.20090110.12mdv2009.1
+ Revision: 334412
- Fix leds state reset on xkb layout changes

* Fri Jan 23 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 1.5.99.3-1.20090110.11mdv2009.1
+ Revision: 333119
- Call slave devices ctrl proc in CoreKeyboardCtl to sync leds (bug #36893)

* Wed Jan 21 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 1.5.99.3-1.20090110.10mdv2009.1
+ Revision: 332299
- Fix crash with multimedia keys (mdv #46863)
- Keep trying to connect to HAL at startup
- Use built-in fonts only if fixed font is not found in the fontpath

* Mon Jan 19 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 1.5.99.3-1.20090110.9mdv2009.1
+ Revision: 331361
- Fix crash on startup due to unallocated private in xf86Crtc.c

* Fri Jan 16 2009 Colin Guthrie <cguthrie@mandriva.org> 1.5.99.3-1.20090110.8mdv2009.1
+ Revision: 330140
- Remove double buildrequire on libdmx-devel
- Move the xfake disabling into the header (still need to fix the build properly)
- Add obsoletes when disabling parts of the xserver build process (to smooth upgrades)

* Thu Jan 15 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 1.5.99.3-1.20090110.7mdv2009.1
+ Revision: 329957
- Re-enable Xvnc support
- Remove disabled patch 0530 since it is included in new patch 0700

* Tue Jan 13 2009 Colin Guthrie <cguthrie@mandriva.org> 1.5.99.3-1.20090110.6mdv2009.1
+ Revision: 329209
- Apply patch to fix some startup errors
- Ignore ABI for nvidia/fglrx/vboxvideo

* Sat Jan 10 2009 Colin Guthrie <cguthrie@mandriva.org> 1.5.99.3-1.20090110.5mdv2009.1
+ Revision: 328001
- Update to latest snapshot
- Track the server-1.6-enterleave branch to test new enterleave model
- Remove upstream cherry picks merged in upstream
- Rediff patches
- Remove unneeded configure options

* Thu Jan 08 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 1.5.99.3-1.20081222.4mdv2009.1
+ Revision: 327125
- Disable XAA offscreen pixmaps by default

* Mon Jan 05 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 1.5.99.3-1.20081222.3mdv2009.1
+ Revision: 325074
- Disable built-in fonts support

* Thu Jan 01 2009 Colin Guthrie <cguthrie@mandriva.org> 1.5.99.3-1.20081222.2mdv2009.1
+ Revision: 323202
- Apply the proposes upstream cherry-picks to our package
- Add an additional patch from RH
- Add a patch to protect against the CopyKeyClass segv
- Use a shortcut method of applying all pathes to ease management

* Tue Dec 30 2008 Colin Guthrie <cguthrie@mandriva.org> 1.5.99.3-1.20081222.1mdv2009.1
+ Revision: 321373
- Add BuildRequire for flex
- BuildRequires byacc
- Add BuildRequire on libxinerama-devel
- Update to the 1.6 branch version
- Drop upstream patches
- Update Fedora patches
- Drop xorgconf related stuff (no longer upstream)
- Add a few upstream patches scheduled to land in 1.6 branch soon.
- Disable more patches. Not 100%% sure if these need migrated in some way

* Mon Dec 22 2008 Ander Conselvan de Oliveira <ander@mandriva.com> 1.5.3-8mdv2009.1
+ Revision: 317613
- Revert XTest patch. It caused crashes with input hotplug disabled.

* Thu Dec 18 2008 Frederic Crozat <fcrozat@mandriva.com> 1.5.3-7mdv2009.1
+ Revision: 315701
- Sources 3/4 : install hal callouts to autoconfigure keyboard layout based on /etc/sysconfig/keyboard (idea from Fedora)

* Wed Dec 17 2008 Ander Conselvan de Oliveira <ander@mandriva.com> 1.5.3-6mdv2009.1
+ Revision: 315299
- Pass XTest fake key event through mieq (should fix bug #36893)

* Tue Dec 16 2008 Colin Guthrie <cguthrie@mandriva.org> 1.5.3-5mdv2009.1
+ Revision: 314983
- Fix compilation with -Werror=format-security (thanks to pcpa for tips)
- Fix gnome-screensaver eating CPU bug with upstream cherry-pick

* Tue Dec 02 2008 Colin Guthrie <cguthrie@mandriva.org> 1.5.3-4mdv2009.1
+ Revision: 309216
- Require evdev if hal/dbus support is enabled (which is currently the case)

* Sat Nov 29 2008 Adam Williamson <awilliamson@mandriva.org> 1.5.3-3mdv2009.1
+ Revision: 308131
- obsolete x11-server-xgl: cleanest way to kill Xgl (finally)

* Sat Nov 29 2008 Colin Guthrie <cguthrie@mandriva.org> 1.5.3-2mdv2009.1
+ Revision: 308045
- Add missing requires to the -devel package (due to header includes)

* Sat Nov 29 2008 Colin Guthrie <cguthrie@mandriva.org> 1.5.3-1mdv2009.1
+ Revision: 308007
- Add missing BuildRequires for libxv-devel
- Add missing BuildRequires for libpciaccess-devel
- Disable xvnc for now until patches are rediffed
- Enable hal/dbus support for input auto-detection
- Add xvfb-run.sh script from fedora (alternative to our previous patch)
- Disable Xfake due to build problems (will try and fix shortly)
- Disable (temporarily) patches that need more than simple rediffs
- Drop patches merged/available upstream
- Adapt patches that no longer apply cleanly but are still desired
- Liberate fedora patches
- Update to 1.5.3
- Copy blue background to the disabled folder for reference. The approach to reenable this is quite different due to the -nr patch from fedora
- Copy some patches that no longer apply to a 'disabled' folder for short term easy reference

* Fri Oct 31 2008 Olivier Blin <oblin@mandriva.com> 1.4.2-8mdv2009.1
+ Revision: 298890
- buildrequire openssl-devel for xkbcomp patch
- require newer x11-data-xkbdata (so that user can write in /var/lib/xkb)
- use cache for xkb (rediffed from pcpa's patch), to speed up X start
- fix typo in save context patch

* Mon Aug 25 2008 Ander Conselvan de Oliveira <ander@mandriva.com> 1.4.2-7mdv2009.0
+ Revision: 275956
- Bump release number.
- Solve gtk+ apps crash when server and client have different endianess.
- Obsoletes vesa based kdrive X servers for clean upgrade.

* Fri Aug 22 2008 Ander Conselvan de Oliveira <ander@mandriva.com> 1.4.2-6mdv2009.0
+ Revision: 275122
- Bump release.
- Fix Xvnc crash when run with -depth 16 (mandriva bug #41583)
- Fix X server bug when run wiht Xkb disabled (mandriva bug #41585)

* Mon Aug 11 2008 Ander Conselvan de Oliveira <ander@mandriva.com> 1.4.2-5mdv2009.0
+ Revision: 270862
- Disable vesa based kdrive X servers
- Reverse Xaa offscreen pixmaps logic. To enable, use "XaaOffscreenPixmaps" "on"

  + Anssi Hannula <anssi@mandriva.org>
    - use alternatives for libdri.so as well, next fglrx provides its own
      version

* Mon Jun 23 2008 Ander Conselvan de Oliveira <ander@mandriva.com> 1.4.2-4mdv2009.0
+ Revision: 228396
- Bump release number
- Fix incorrect test

* Mon Jun 23 2008 Ander Conselvan de Oliveira <ander@mandriva.com> 1.4.2-3mdv2009.0
+ Revision: 228391
- Test if important directories are links and report consistent error messages.

* Fri Jun 20 2008 Ander Conselvan de Oliveira <ander@mandriva.com> 1.4.2-2mdv2009.0
+ Revision: 227492
- Increse release number
- Check if /usr/X11R6 is a link. Do not update if it is.

* Thu Jun 19 2008 Ander Conselvan de Oliveira <ander@mandriva.com> 1.4.2-1mdv2009.0
+ Revision: 226405
- Do not install if x11-server-common if /etc/X11 or /usr/lib/X11 is a symlink
- * Updated to xorg version 1.4.2
 * Removes {pre,post}trans which created symlinks from /etc/X11 and
   /usr/lib/X11 to /usr/share/X11 and a symlink from /usr/X11R6 to /usr
   (this may cause breakage between cooker upgrades)

* Mon Jun 09 2008 Ander Conselvan de Oliveira <ander@mandriva.com> 1.4.0.90-21mdv2009.0
+ Revision: 217245
- Fix mandriva bug #37514 (vncserver segfaults when connected)

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Autoconfigure to use geode driver on the known supported hardware.

* Fri May 23 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.4.0.90-20mdv2009.0
+ Revision: 210701
- o Add _disable_ld_no_undefined due to modules that reference X Server,
  libraries linked to the X Server, or other modules symbols.
- o Correct a harmless problem with the .rpmsave magic where, if it did
  not need to move any files, and the directory link already existed,
  it would create a link to the directory inside of the directory, and
  fail to remove it in %%postrans.
  o Create only relative symlinks.
  o Correct #40959 (latest xserver segfaults when mplayer runs)

* Mon May 19 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.4.0.90-19mdv2009.0
+ Revision: 209187
- o Patches regenerated. When git-am fails, something like:
  -%%<-
  $ git-am --skip
  $ git-reset --hard <last-good-commit>
  <hack-patch-file-to-not-apply-to-problematic-file>
  <fix-problematic-file-by-hand>
  $ git-apply <patch-file>
  $ git-commit -a
  Aparently will not work as expected, as the Xvnc patch was incorrectly
  regenerated when running "git-format-patch", but fixed now.
- o Update to latest X Server 1.4 branch.
  o Patch "fix-parsing-weird-EDID" was modified to also include
  "Avoid-an-infinite-loop-at-initialization-if-Preferre"
  o Remade small portion of Xvnc patch that did not apply anymore
  o Use a new schema in x11-server-common to avoid rpm upgrade problems.
  This schema doesn't need external help, like running the %%pre
  of the previous package before actually upgrading packages.
  To avoid rpm removing files it just installed, now the scriplet
  %%pretrans creates a symlink ending in ".rpmsave", and the scriptlet
  %%posttrans corrects the symlink to the proper directory.

* Thu May 15 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.4.0.90-18mdv2009.0
+ Revision: 207659
- Correct a problem in %%pre where it would not properly handle symlinks,
  and cause upgrade problems.

  + Anssi Hannula <anssi@mandriva.org>
    - do not uselessy remove symlinks in pre of common when migrating
      directories to symlinks, symlink => symlink is handled by rpm fine

* Wed May 14 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.4.0.90-17mdv2009.0
+ Revision: 207244
- o Update to latest git "server-1.4-branch".
  o Update %%pre script to finish moving <basedir>/X11 files to %%{_datadir}/X11.
  The script has been updated to a recursive version because moving relative
  symlinks may leave broken ones.
  o Also change /usr/X11R6 from a real directory to a symlink to /usr.

* Wed May 07 2008 Anssi Hannula <anssi@mandriva.org> 1.4.0.90-16mdv2009.0
+ Revision: 202682
- fix error in %%pre of x11-server-common that caused it to try moving
  symlinks that have already been deleted
- make /usr/X11R6/lib/X11 point directly to /etc/X11
- fix the compatibility modules directory on lib64, the correct path is
  /usr/X11R6/lib64/modules

* Tue May 06 2008 Anssi Hannula <anssi@mandriva.org> 1.4.0.90-15mdv2009.0
+ Revision: 202173
- create destination directory in %%pre of common package when moving
  files to new directory
- do not create symlinks in %%pre of common package, let RPM handle those
- do not try to symlink /usr/X11R6/lib/modules/dri, since
  /usr/X11R6/lib/modules is already a symlink; instead create the dri
  symlink in /usr/lib/xorg/modules
- create absolute symlinks in %%install for clarity and let spec-helper
  make them relative; this also fixes invalid /etc/X11/app-defaults
  symlink

* Tue May 06 2008 Anssi Hannula <anssi@mandriva.org> 1.4.0.90-14mdv2009.0
+ Revision: 201795
- fix versioning of conflicts
- conflict with old libx11-common instead of libx11

* Mon May 05 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.4.0.90-13mdv2009.0
+ Revision: 201576
- Update to latest code in Xorg XServer 1.4 branch.
  Make x11-server-common owner of most configuration directories, and
  properly updated these.

* Mon Apr 14 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.4.0.90-12mdv2009.0
+ Revision: 193420
- Reenable dmx.
- Remake patches to sync with 1.4 branch.
- Cherry pick 3 new patches that fixes:
   o randr accessing bad memory if used when X Server was not in the active VT.
   o dpms timer not being restarted after it being temporarily disabled.
   o better processInput proc wrapping fix, that should fix all possible
     failure conditions (currently we already had a patch to fix some
     related problems).

* Fri Mar 14 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.4.0.90-11mdv2008.1
+ Revision: 187971
- Patch 0524 appeared to be not going to cause any problems, but it caused
  enough regressions to not be worth applying. Regressions are cases of
  misconfiguration of monitor refresh rate. Too bad it also appears to have
  fixed problems for some people.

* Tue Mar 11 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.4.0.90-10mdv2008.1
+ Revision: 186957
- Add custom patch to not print warning about this being a pre release
  version. X Server 1.4.1 should have been released long ago, and this is
  the most stable version. No reason to warn users, and this is done by
  all "major" distros.
  Add a few new cherry-picks from git master.
  This is also an oportunity to recompile with the changes to mesa that
  now is now 7.0.3-rc2, and ensure the X Server is compiled with the latest
  mesa-source.

* Wed Mar 05 2008 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.4.0.90-9mdv2008.1
+ Revision: 180143
- update Blue-background-custom-patch RGB values to match current
  installer theme (requested by Frederic Crozat).

* Mon Mar 03 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.4.0.90-8mdv2008.1
+ Revision: 178110
- Rebase server-1.4-branch.
  Close Fix crash due to unhandled SIGALRM (#38325).
  This adds some noise to regenerated patches due to update of git version.

* Wed Feb 20 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.4.0.90-7mdv2008.1
+ Revision: 173358
- Update package to match latest X Server 1.4 branch.
  Also in this revision started using a different starting number for
  local patches and "cherry-picks" that should avoid future unnecessary
  patch renames.
  Note that some git master patches were added to 1.4 branch, so order
  of some patches has changed.
- Rebase to origin/server-1.4-branch.
  Cherry-pick commits that fixes #37768 that caused a crash when using the
  evdev driver and changing xkb model/layout with setxkbmap.

  + Thierry Vignaud <tv@mandriva.org>
    - fix no-buildroot-tag
    - fix description-line-too-long

* Mon Feb 11 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.4.0.90-6mdv2008.1
+ Revision: 165283
- Fix http://qa.mandriva.com/show_bug.cgi?id=36651
- Review all patches to avoid the risk corrupted patches. Did a reset --hard
  in the previous commit and git-am'ed back custom patches.
  Read change to update keyboard leds, this time on it's own patch.
  Use git-cherry-pick to pull some bug fixes from master.

* Thu Feb 07 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.4.0.90-4mdv2008.1
+ Revision: 163793
- Revert to use latest upstream tarball.
  Revert build requires.
  Add patches to sync tag xorg-server-1.4.0.90 with tip of branch
  server-1.4-branch, and mandriva custom patches on top of it.
  The only large patch kept is the SAVE_CONTEXT patch.

* Mon Feb 04 2008 Pixel <pixel@mandriva.com> 1.4.0.90-3mdv2008.1
+ Revision: 162099
- "fixes" setxkbmap not working in installer (DrakX) (#35912)

* Mon Jan 28 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.4.0.90-2mdv2008.1
+ Revision: 159522
- Again some rework and git-format-patch seens to not scale very well with
  the svn repository due to generating different names, but git-rebase is
  the easiest and most reliable way to keep these patches for the moment.
  Keeping 3 different branches up to date isn't as simple as originally thought...
  This patch adapts all recent security updates to server branch 1.4 (patches
  25 to 31).
  Add a fix for an infinite loop when using the PreferredMode option and
  having 2 or more modes with the same name (patch 15).

* Fri Jan 25 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.4.0.90-1mdv2008.1
+ Revision: 158106
- Rebase to xorg-server-1.4.0.90 tag.
  Commands used basically were:
  $ git-checkout mandriva
  $ git-rebase xorg-server-1.4.0.90		# no conflicts
  $ git-checkout mandriva+custom
  $ git-rebase mandriva				# no conflicts
  $ git-checkout mandriva+gpl
  $ git-rebase mandriva+custom			# no conflicts
  Updated git.mandriva.com to match local changes. And spec
  to generate a matching tarball and patches.
  Please don't mdvsys submit it till monday to have some time for
  testings, as this is the first large update, to a different version.

* Thu Jan 24 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.4-23mdv2008.1
+ Revision: 157684
- Fix http://qa.mandriva.com/show_bug.cgi?id=35713
  From a0b4b3be94c6f00c71855598c0d46416f3877367 Mon Sep 17 00:00:00 2001
  From: Peter Hutterer <peter@cs.unisa.edu.au>
  Date: Wed, 19 Dec 2007 16:20:36 +1030
  Subject: [PATCH] include: never overwrite realInputProc with enqueueInputProc.
  Bug #13511
  In some cases (triggered by a key repeat during a sync grab) XKB unwrapping
  can overwrite the device's realInputProc with the enqueueInputProc. When the
  grab is released and the events are replayed, we end up in an infinite loop.
  Each event is replayed and in replaying pushed to the end of the queue again.
  This fix is a hack only. It ensures that the realInputProc is never
  overwritten with the enqueueInputProc.
  This fixes Bug #13511 (https://bugs.freedesktop.org/show_bug.cgi?id=13511)
  (cherry picked from commit eace88989c3b65d5c20e9f37ea9b23c7c8e19335)

* Tue Jan 22 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.4-22mdv2008.1
+ Revision: 156688
- Export symbol required by wacom input device driver.

  + Ademar de Souza Reis Jr <ademar@mandriva.com.br>
    - re-enable rpm debug packages support

* Mon Jan 21 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.4-21mdv2008.1
+ Revision: 155634
- Export symbols used by nouveau driver and fpit input driver.
  These symbols shouldn't really be used, as they are private exa symbols
  and one randr 1.0 symbol kept for binary compatibility.

* Wed Jan 16 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.4-20mdv2008.1
+ Revision: 153772
- Add missing symbol found when analyzing recent changes and upgrade to ati
  driver. Missing symbol is required by the i810 driver and was not being
  exported by the X Server code.

* Wed Jan 16 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.4-19mdv2008.1
+ Revision: 153677
- Fix compilation on x86_64.
  Reenable build docs.
- Update build requires.
  git-cherry-pick 2338d5c9914e2a43c3a4f7ee0f4355ad0a1ad9e7 to
  fix http://qa.mandriva.com/show_bug.cgi?id=36746
- Fix build due to incorrect patch for pci, reverted and rewritten in git.
  Update BuildRequires based on x-check-rpm-deps.pl output, and kept
  BuildRequires not listed as they can be required only link or as some
  binary to process some file.

  + Colin Guthrie <cguthrie@mandriva.org>
    - Update buildrequires to be architecture independent (i.e. for x86_64)

* Wed Jan 09 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.4-18mdv2008.1
+ Revision: 147323
- Disable debug package for the moment.
  Fix problem with binary nvidia driver.
  Fix problem with symbols accessed using LoaderSymbol/dlsym in pci code
  Fix some other symbols  accessed using LoaderSymbol/dlsym by the vnc patch code
- Don't install .la files in -devel and don't generate .deps files. .la
  files should not be installed anymore and .deps should be handled externally,
  instead of adding them to packages.
- Move all .la files to -devel.
  Require proper version of x11-util-macros.
  Add patch to fix issue with bugzilla #34879 (log is wrong, 8587 is attachment
  id...)
- Update to use tag xorg-server-1.4 and add all patches in server 1.4 branch
  as well as Mandriva specific ones in mandriva branch.
- First version of X Server compiled with most symbols hidden.
  Symbols used by all modules in the distro are exported.
  This patch also stores old patches in the git repository, and uses
  git-archive to generate the tarball and git-format-patch to extract patches
  from the branches:
  	mandriva		: should be safe to apply upstream
  	mandriva+custom		: either distro specific or experimental code
  	mandriva+gpl		: no restriction to gpl licensed code

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Nov 28 2007 Paulo Andrade <pcpa@mandriva.com.br> 1.4-17mdv2008.1
+ Revision: 113710
- Minor updates. Also, at least for now, disable config-hal.

* Fri Nov 23 2007 David Walluck <walluck@mandriva.org> 1.4-15mdv2008.1
+ Revision: 111699
- enable xvnc (needed by tightvnc)

  + Ademar de Souza Reis Jr <ademar@mandriva.com.br>
    - pass --enable-config-hal to configure, to enable
      support for hal (input-hotplug) explicitly.

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Patch to fix a crash in the "expert mode" xorgcfg interface if the config files
      doesn't hava a Files Section.

* Mon Nov 19 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.4-14mdv2008.1
+ Revision: 110213
- new snapshot of the 1.4-branch git patch
- drop fix-keyboard-events.patch and fix-keyboard-events2.patch
  (already on the branch)
- add build-requirements for hal and dbus devel, so that
  input-hotplug is enabled in our official builds
  (thanks Andrey Borzenkov for pointing this)

* Wed Nov 14 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.4-13mdv2008.1
+ Revision: 108712
- adding one more patch for keyboard events, fix for upstream bugs:
  #13223 (server 1.4.1: Input Events Duplicated Across Different Windows)
  and #13114 (xserver-1.4 keyboard repeat rate strange behavior)

* Tue Nov 13 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.4-12mdv2008.1
+ Revision: 108494
- update 1.4 git branch patch (minor fix on XEphyr)
- disable debug (was enabled by accident in a previous commit)

* Mon Nov 12 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.4-11mdv2008.1
+ Revision: 108261
- update git patch (from 1.4.1 branch)
- add keyboard-events patch (upstream bug #12858)

* Tue Nov 06 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.4-10mdv2008.1
+ Revision: 106559
- remove more obsolete patches from old xserver package:
  o Xephyr-evdev-support.txt: feature already upstream;
  o 64bit_fixes.patch: code partially removed and changed
    upstream and patch not documented anywhere;
  o Fix-index-matching-of-visuals.txt: fixed upstream
    in a different way
- enabled xvnc again (patch appears to be OK now)
- minor spec cleanup: remove dead (commented-out) fields

* Tue Nov 06 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.4-9mdv2008.1
+ Revision: 106533
- add git-branch-fixes-<date>.patch, with the fixes
  from the 1.4 branch on upstream git.
- minor fix on save-context.patch so that it applies
  on top of the new code;
- minor cosmetic spec change

* Tue Nov 06 2007 Funda Wang <fwang@mandriva.org> 1.4-8mdv2008.1
+ Revision: 106460
- rebuild for new lzma

* Tue Oct 30 2007 Paulo Andrade <pcpa@mandriva.com.br> 1.4-7mdv2008.1
+ Revision: 103858
- Only bitmaps/pixmaps generated are the ones used by xorgcfg, still keep
  x11-devel as owner of images directories.
- Err, use global Xserver flag, pDev would need to be cast to another data type
  used only by de input module.
- Fix wrong patch (edited by hand patch).
- Update keyboard-led patch for proper Xkb extension handling.
  Move xorgcfg bitmaps/pixmaps from x11-server-devel to x11-server-common as
  the xorgcfg program isn in the common package.
- Update keyboard leds. Still not submitting because I believe Scroll_Lock
  behaviour should be better i.e. use the led. But this patch should cause it
  to work like previous Xorg servers regarding to keyboard leds.
  The problem was that mieq.c:mieqProcessInputEvents() calls
  dix/getevents.c:SwitchCoreKeyboard() switching the core keyboard to the keyboard
  associated with the event, but the xkb feedback data structure is pointing to
  a fallback initial function in the "virtual core keyboard" structure. To fix
  the problem I wrapped the fallback function, but could also update the "virtual
  core keyboard" at dix/gevents.c, but that would mean changing xkb internal
  data structures...

  + Colin Guthrie <cguthrie@mandriva.org>
    -Fix Xvnc build
    -Fix vnc module on x86_64

* Fri Oct 19 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.4-6mdv2008.1
+ Revision: 100507
- disable xvnc by now, the compilation is broken
  because it uses headers installed on the system
  instead of the ones from the build tree
- removed glXDRIbindTexImage-target.txt. It was considered
  fixed upstream with a different approach (see #8991 on
  fd.o bugzilla).
- ported some more patches from our xserver-1.3:
  . blue-background.patch
  . search-best-DPI-using-also-width.patch
- Added preferred-mode-override-monitor-pre.patch
  (patch from git that gives priority to modes declared
  in xorg.conf, substitutes old patches which were removed:
  . randr12-config-hack.patch
  . fix-deadloop-using-PreferredMode.patch)
- fix blue-background.patch

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Add initial support for an attempt to crash recovery the X server when
      a failure happens.
      Basically keyboard events are handled using SIGIO, and Ctrl+Alt+Backspace
      can be used to exit an inifinite loop anywhere (provided sigio is not blockedt),
      and if main code is processing a client request, try to kill the client,
      otherwise terminate the server.
      Same is done when a crash happens, first try to kill client if processing a
      request, otherwise try to exit cleanly, i.e. running all cleanup routines.
      Also add a few fix for clear bugs, and fix some crashes found while debugging
      this code.

  + Colin Guthrie <cguthrie@mandriva.org>
    - Reenable vnc support

* Wed Oct 17 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.4-4mdv2008.1
+ Revision: 99779
- err, disable blue-background.patch, it's still not
  working. :(
- ported blue-background.patch to xserver 1.4
- removing patches for problems already fixed upstream:
  . add-needed-quirk-for-Samsung-225BW-like.patch
  . cursor-and-randr-fixes.patch

* Wed Oct 17 2007 Anssi Hannula <anssi@mandriva.org> 1.4-3mdv2008.1
+ Revision: 99605
- readd ghost filelist entry for libglx.so so that users do not get
  empty libglx.so

* Tue Oct 16 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.4-2mdv2008.1
+ Revision: 99077
- x11-server-devel requires libpixman-1-devel

* Thu Oct 11 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.4-1mdv2008.1
+ Revision: 97207
- new upstream version: 1.4 (notice this package is a
  work-in-progress, the upgrade scenario is complex)
- removed all patches which have already been applied
- ported xvfb-run and fontpath_d patches
- disabled DMX by now (compilation is broken)
- disabled VNC (major patch, no 1.4 version yet)
- added some version to build-requirements (may be still incomplete)
- enabled xfake explicitly (it's now disabled by default)
- minor spec cleanup

* Mon Oct 01 2007 Pixel <pixel@mandriva.com> 1.3.0.0-24mdv2008.0
+ Revision: 94119
- remake pcpa's patch to avoid an infinite list, simply taking first matching mode

* Sat Sep 29 2007 Paulo Andrade <pcpa@mandriva.com.br> 1.3.0.0-23mdv2008.0
+ Revision: 93811
- Remake Pixel's patch to avoid an infinite loop, but instead of trying to handle
  duplicate modes, just use the first on the list.
  This fix several problems in intel based cards, and doesn't require any changes
  to xorg.conf, and allow using the PreferredMode option, that is an alternative
  to Patch54: xserver-1.3.0-randr12-config-hack.patch. But this change should make
  it possible to keep using Patch54 without any problems.

* Tue Sep 25 2007 Pixel <pixel@mandriva.com> 1.3.0.0-22mdv2008.0
+ Revision: 92850
- add patch from Fedora that ensures backward compatibility with previous Xorg
  behaviour: prefered mode is the first Modes in Subsection "Display"
- fix deadloop occurring if preferred resolution matches more than one mode

* Fri Sep 21 2007 Pixel <pixel@mandriva.com> 1.3.0.0-21mdv2008.0
+ Revision: 91759
- drop patch128 ("Possible fix for bugzilla #31183"),
  otherwise it crashes on at least ati, openchrome, vesa, fglrx

* Thu Sep 20 2007 Pixel <pixel@mandriva.com> 1.3.0.0-20mdv2008.0
+ Revision: 91573
- fix parsing weird EDID (fixes intel driver defaulting to smallest resolution) (#31183)
- take into account screen width when looking for prefered resolution instead of
  only using screen height (helps choosing 1024x768 instead of the weird 1152x768)

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Don't compile unoptmized and with debug code by default.
    - Possible fix for bugzilla #31183, that should not interfere, and work with
      other drivers that may have the same problem

* Mon Sep 17 2007 Paulo Andrade <pcpa@mandriva.com.br> 1.3.0.0-19mdv2008.0
+ Revision: 89337
- Fix last patch that broke build. Use underline character to replace space in
  string of build operating system and fix double quotes.
- Better description in /var/log/Xorg.X.log than:
  Build Operating System: UNKNOWN
- Until Xorg Bugzilla #12414 receives any response, this patch fixes the problem
  with a hack that tries to make sure CreatePixmap is allways properly wrapped,
  i.e. all extensions know about it.
- Fix what appears to be a serious off by one bug. After this patch opengl apps
  works under Xnest (but very slowly), so it should also fix the bug of remote GL
  apps crashing the Xserver (Bugzilla #27397). It is clearly poorly checked code,
  as it was even checking if an unsigned variable is greater than or equal to 0.
- Modify XOrgCfg resources file to only require fixed fonts.
  For the moment still requiring x11-data-bitmaps, but those can be removed if it
  is undesirable to install that package also.
- Add requires to xorgcfg so that missing bitmaps and/or fonts should
  not cause problems.
- Fixes bug #31211 by not starting/enabling MouseKeys support (neither showing the
  dialog with help screen). Maybe a better fix would be to still show the help
  screen, but instead of enabling it, tell the user how to enable/disable (i.e.
  pressing Shift+Num_Lock).

  + Ademar de Souza Reis Jr <ademar@mandriva.com.br>
    - add security fix for CVE-2007-4730 (xorg-git-CVE-2007-4730.patch)
      Closes: #33479
    - remove 0033-dont-backfill-bg-none patch, which is incompatible with the
      fix for CVE-2007-4730 (there's no history for this patch, but odds are
      it's a workaround for the very same problem fixed as a security problem.
      Anyway, the code in question was reviewed and tested as part of the
      security audit, so our guess is that our old patch is unecessary).

  + Anssi Hannula <anssi@mandriva.org>
    - own /usr/lib(64)/xorg/modules/input,drivers

* Sun Aug 26 2007 Anssi Hannula <anssi@mandriva.org> 1.3.0.0-17mdv2008.0
+ Revision: 71692
- use alternatives for libglx.so

* Tue Aug 21 2007 Colin Guthrie <cguthrie@mandriva.org> 1.3.0.0-16mdv2008.0
+ Revision: 68152
- Rediff Xvnc patch from xserver 1.2 and reenable (#32578)

  + Thierry Vignaud <tv@mandriva.org>
    - fix man pages extension

* Mon Aug 13 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.3.0.0-15mdv2008.0
+ Revision: 62706
- do not crash on VT switching when the Xv adaptor is active (#32328)

* Fri Aug 10 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.3.0.0-14mdv2008.0
+ Revision: 61432
- Backported many randr 1.2 fixes and additions from xserver git
- Removed the multiple randr 1.2 fixes patch and re-add the fixes
  as git-cherry-picked patches

* Fri Aug 03 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.3.0.0-13mdv2008.0
+ Revision: 58655
- Fix the patch, which was wrongly regenerated including changes from Paulo's
  patch
- Remove obsolete randr1.2 patches
- Add two new patches that fixes the problem and eliminates the side-effects
  previously seen (crashes)

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Fix crash with VT switch and access of unalocated cursor memory

* Tue Jul 31 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.3.0.0-12mdv2008.0
+ Revision: 57097
- Disable the randr1.2 fixes for now, as they cause a undesirable side-effect
  which still should have to be figured out

* Tue Jul 24 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.3.0.0-11mdv2008.0
+ Revision: 55078
- Fix the output->crtc initialization in the old randr setup

* Mon Jul 23 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.3.0.0-10mdv2008.0
+ Revision: 54868
- Fix the randr output change notifying problem in another way (as suggested by
  Keith Packard)
- Remove manpage extensions
- Fix randr1.2 output changing notification

* Thu Jul 05 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.3.0.0-9mdv2008.0
+ Revision: 48627
- change default fontpath to fontpath.d, xfs is now
  deprecated.
  (there are some fonts which are not included in
  fontpath.d yet, see #31756)

* Thu Jul 05 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.3.0.0-8mdv2008.0
+ Revision: 48312
- proper cleanup/fix for handling of the legacy X11R6 directory.
  There are scenarios where both /usr/X11R6/lib/X11 and
  /usr/lib/X11 exist. Since the legacy files/dirs were owned by an
  ancient version of the filesystem package, we don't need a
  trigger, all we need is a %%post with the necessary changes and a
  conflict. Fix: #23423 and #31737

* Mon Jul 02 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.3.0.0-7mdv2008.0
+ Revision: 47202
- Add legacy X11R6 directory structure to x11-server-common
  (still needed by some closed-source applications)
- Require filesystem >= 2.1.8 (when the X11R6 directory structure
  was changed)

* Fri Jun 22 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.3.0.0-6mdv2008.0
+ Revision: 43202
- added patch that documents fontpath.d support

* Fri Jun 15 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.3.0.0-5mdv2008.0
+ Revision: 40081
- improve autotools calls, fixing build on x86_64
  which was b0rken after the latest autoconf update.
- add dirs /etc/X11 and /etc/X11/app-defaults to
  x11-server-common

* Fri Jun 08 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1.3.0.0-4mdv2008.0
+ Revision: 37587
- Rebuild with libslang2.

* Tue May 22 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.3.0.0-3mdv2008.0
+ Revision: 29855
- disable xprint server support. It was never functional before and
  is not much useful nowadays anyway. User's can still play with it by
  downloading functional packages from the project website.

* Fri May 04 2007 Colin Guthrie <cguthrie@mandriva.org> 1.3.0.0-2mdv2008.0
+ Revision: 22447
- Add hard build requirement for Mesa 6.5.3
- Apply patches to work with Mesa 6.5.3.

* Fri Apr 20 2007 Colin Guthrie <cguthrie@mandriva.org> 1.3.0.0-1mdv2008.0
+ Revision: 15618
- New Release 1.3.0.0
- Obsolete latest x11-server13 package

* Thu Apr 19 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.2.99.905-1mdv2008.0
+ Revision: 15184
- new upstream RC release: 1.2.99.905 (1.3 RC4)
  The main highlight is the RandR 1.2 support (that was being experimentally
  used in the x11-server13 package).
- Obsoleted some patches that were either not needed or applied upstream
- The vnc patch is broken again. Disable support by now.

* Thu Apr 19 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.2.0-10mdv2008.0
+ Revision: 14961
- Fixed a crash of the server when setting a pixmap for the root window and
  later trying to restore the defaults. Thanks Frederic Crozat for the report.


* Sat Apr 07 2007 Olivier Blin <oblin@mandriva.com> 1.2.0-9mdv2007.1
+ Revision: 151023
- remove useless _COMPIZ_GL_INCLUDE_INFERIORS hack since cow is enabled by default in compiz nowadays

* Tue Mar 27 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.2.0-8mdv2007.1
+ Revision: 148993
- Fix another x86_64 crash of Xephyr (reported on #27559)

* Thu Mar 22 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.2.0-7mdv2007.1
+ Revision: 147911
- Fix a crash of XEphyr on x86_64 (#27559)
- x11-server-devel doesn't really need x11-server (#22616)

  + Christiaan Welvaart <spturtle@mandriva.org>
    - add xvfb-run script to x11-server-xvfb package

* Fri Mar 02 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.2.0-5mdv2007.1
+ Revision: 131160
- Fix the blue background patch. As we are setting a color for the background
  instead of a tile, we should add this to the properties.

* Thu Mar 01 2007 Colin Guthrie <cguthrie@mandriva.org> 1.2.0-4mdv2007.1
+ Revision: 130248
- Rebuild against libxrandr 1.2

* Tue Feb 27 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.2.0-3mdv2007.1
+ Revision: 126718
- make the randr extension report only the version it really supports

  + Gwenole Beauchesne <gbeauchesne@mandriva.com>
    - fix buildrequires (mesa-source >= 6.5.1 / arrayobj.c)

* Tue Jan 23 2007 Colin Guthrie <cguthrie@mandriva.org> 1.2.0-1mdv2007.1
+ Revision: 112290
- Drop upstream applied patches
- New release: 1.2.0

* Thu Jan 18 2007 Colin Guthrie <cguthrie@mandriva.org> 1.1.99.903-2mdv2007.1
+ Revision: 110117
- Rediff VNC patch + Fixes from Stefan Dirsch @ SuSE
- Try to fix #28271

* Wed Jan 10 2007 Colin Guthrie <cguthrie@mandriva.org> 1.1.99.903-1mdv2007.1
+ Revision: 107243
- Add ugly work around to ignore requests to load drm module until new fglrx driver is released.
- Add patches to fix various compositing issues with compiz/beryl etc.
- Update patches for new version
- Remove patches merged upstream
- Adjust file lists for new version
- Quick and dirty hack to remove Xsession.d file for now
- Update to 1.1.99.903 (Xorg 7.2 RC3)

* Mon Nov 06 2006 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.1.1-14mdv2007.0
+ Revision: 76965
- Imported the vnc patch into the mandriva git tree
- Added a patch fixing crashed when closing laptop lid (#26997)
- Added a patch that fixes the index matching of the two arrays of visuals
  (this fixes some crashes on SiS and Via chipsets)
- Backported some fixes from the upstream git repository:
   * Adds support for Xephyr to simulate 8bit grayscale
   * Really disable composite in Xprt (as it doesn't support it)
   * Fix some BadLenght errors in Xdmx render implementation
   * Fix the Linux ACPI reopen code to use a repeating timer instead of a
     sleep and retry.
   * Fix a RandR screen size problem when rotating fails.
   * Fix a segfault on broken Xinerama configs
   * Some x86_64 fixes
   * Handle scaled identity matrix in SetPictureTransform
   * Added some missing defines for Xdmx to work right
   * Check if the visual is null in Xdmx to prevent crashes

  + Christiaan Welvaart <spturtle@mandriva.org>
    - bump release
    - fix build problems with vnc patch
    - add BuildRequires: libjpeg-devel
    - patch0: add vnc module and Xvnc
    - VNC support, adapted from http://xf4vnc.sourceforge.net/ CVS

* Mon Sep 18 2006 Olivier Blin <oblin@mandriva.com> 1.1.1-11mdv2007.0
+ Revision: 61806
- rebuild for _mesa_update_draw_buffer_bounds fix (#25555)

  + Pixel <pixel@mandriva.com>
    - adapt background color (as requested by our graphic team)

* Fri Sep 01 2006 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.1.1-10mdv2007.0
+ Revision: 58982
- Added a patch to use autoconf to get the correct name of a struct member.
  This allows removing the kernel version ifdefs from the code. It also fixes
  compilation on sparc.

* Wed Aug 30 2006 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.1.1-9mdv2007.0
+ Revision: 58694
- Xorg needs core input devices (#23062)
- applied patches 0014 and 0015 in the git repository, and reformatted them

* Tue Aug 29 2006 Olivier Blin <oblin@mandriva.com> 1.1.1-8mdv2007.0
+ Revision: 58506
- fix freeze on VT switch when using AIGLX (#24559) using temporary patch from https://bugs.freedesktop.org/show_bug.cgi?id=7916

* Fri Aug 25 2006 Olivier Blin <oblin@mandriva.com> 1.1.1-7mdv2007.0
+ Revision: 57943
- bump release
- add XkbGetKeyboard (thanks to Pixel for the debugging, #24612)

  + Antonio Hobmeir Neto <neto@mandriva.com>
    - x11-server-xorg needs x11-font-alias (#22695)

* Thu Aug 17 2006 Pixel <pixel@mandriva.com> 1.1.1-5mdv2007.0
+ Revision: 56470
- (minor) remove old source
- fix default font path (nb: /usr/share/fonts is not valid, /usr/share/fonts/misc is)

* Sat Aug 05 2006 Helio Chissini de Castro <helio@mandriva.com> 1.1.1-4mdv2007.0
+ Revision: 52766
- Directories are comma separated
- Fixed correct new font path. Before the change, server was tied to one
  specific hardcoded directory %%_libdir/X11/fonts, but fonts are located on /usr/lib/X11/fonts
  so that's explain why fixing XFS for x86_64 isn't work for all X applications.
  Now the standard font dir is /usr/share/fonts, but X will look for old paths
  too, for legacy reasons, including the non 64 versionated lib/X11.

* Sat Jul 22 2006 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.1.1-2mdv2007.0
+ Revision: 41875
- readd damage tracking support for tfp in AIGLX
- add support for mesa to copy subbuffers when subtexturing

* Thu Jul 13 2006 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.1.1-1mdv2007.0
+ Revision: 41027
- new upstream release (1.1.1):
    * Delete a (now misleading) message from the crash handler.
    * Switch the default mouse device on Linux to /dev/input/mice.
    * PPC64 build fix.
    * Generate xprint.pre from xprint.cpp.
    * Remove hardcoded 'lib' in XPRINTDIR.
    * Fix MMX Saturate implementation.
    * Freedesktop Bug #7366: Fix two crashes in operations on source pictures.
    * Freedesktop Bug #7366: Fix crashes when setting filters on source pictures.
    * Fix bugs in support for new repeatTypes in XAA and EXA.
    * Correct AGP memory deallocation argument on *BSD.
    * Move EXA_PM_IS_SOLID() to the public API, since drivers will want it frequently.
    * Correct component ordering when fetching [ax]4b4g4r4 pixels.
    * Fix crash when using PICT_x4a4 by supplying an appropriate fbFetchPixel_x4a4.
    * Freedesktop Bugzilla #5120, #7246: In CW's GC ops, validate the backing GC against the
    * Don't try to dist the .cvsignore files.
    * Bump package version to 1.1.1 for release, and vendor release to 7.1.1.0.
    * Pull over convolution filter fixes from xgl-0-0-1 branch.
    * Freedesktop bug #2488 for fb too: sample pixel center when transforming.
    * Check setuid() return value. Freedesktop Bugzilla #7116.
    * Fix byte swapping in some GLX requests.
    * Freedesktop Bug #7213: Fix the XFree86-DRI extension for byte-swapped clients.
- Removed convolution filter patches: applied upstream
- Removed check setuid return patches: applied upstream

* Sat Jul 08 2006 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.1.0-11mdv2007.0
+ Revision: 38481
- Enable DPMS (by fixing the configure script)

* Tue Jul 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.1.0-10mdv2007.0
+ Revision: 38323
- Removed the FIXME lines. All fixed.
- Added a patch providing evdev support for the Xephyr kdrive server. It is used
  for multihead/multiseat solutions
- removed the patch for damage support in tfp (it is not working fine yet)
- added a patch fixing the software fallback convolution filter
  (fix the shadows when using compiz for example)
- added a patch checking the return value of setuid
- Use git to manage xorg patches
- Added patches fixing AIGLX (documentation for each patch is inside the patch
  file).
    * GL include inferiors
    * AIGLX tfp damage tracking
- Added patches optimizing the PCI scanning process
  (backported from development tree)
- removed old unused patch (Xorg-6.7.0-isolate_device)
- rebuild to fix x86_64 compilation
- added patch: try to find an empty VT to start the X server
- removed old tarball
- fixed patch for lbx symbols. The buildorder was wrong
- added a patch fixing some missing lbx linking options when compiling kdrive
- enabled kdrive support. this enable the compilation of the following servers:
    * x11-server-xati
    * x11-server-xchips
    * x11-server-xephyr
    * x11-server-xepson
    * x11-server-xfake
    * x11-server-xfbdev
    * x11-server-xi810
    * x11-server-xmach64
    * x11-server-xmga
    * x11-server-xneomagic
    * x11-server-xnvidia
    * x11-server-xpm2
    * x11-server-xr128
    * x11-server-xsdl
    * x11-server-xsmi
    * x11-server-xvesa
    * x11-server-xvia
- rebuild to fix cooker uploading
- X11R7.1
- KDrive is not building fine, so it is disabled for now. It will be re-enabled
  as soon as I get it to compile.
- 6mdk
- Moved README.compiled out of compiled dir
- Added /etc/security/console.apps/xserver
  (Thanks Laurent for the report)
- Added version to the XFree86 provide
- Add packager tag
- Add missing XFree86 provide tag to x11-server-common
- added missing buildrequires
- disabling some obsoletes/provides for now to test another update strategy
- increment release
- Adding X.org 7.0 to the repository

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix too long descriptions
    - fix build on x86_64

  + Frederic Crozat <fcrozat@mandriva.com>
    - Patch6 : don't change drm device permission unless asked (patch from libdrm)

  + Christiaan Welvaart <spturtle@mandriva.org>
    - fix filelist for archs where kdrive vesa and derived servers are not built
    - Added dependency on x11-server-common to all server packages,
      added some dependencies to x11-server-common so the servers
      can find the fixed and cursor fonts

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

  + Laurent Montel <lmontel@mandriva.com>
    - Fix conflict

  + Pixel <pixel@mandriva.com>
    - named colors are transformed by the X server, so ensure rgb.txt is there by requiring it in x11-server-xorg

